cordova.define('cordova/plugin_list', function(require, exports, module) {
module.exports = [
    {
        "file": "plugins/cordova-plugin-device/www/device.js",
        "id": "cordova-plugin-device.device",
        "clobbers": [
            "device"
        ]
    },
    {
        "file": "plugins/cordova-plugin-splashscreen/www/splashscreen.js",
        "id": "cordova-plugin-splashscreen.SplashScreen",
        "clobbers": [
            "navigator.splashscreen"
        ]
    },
    {
        "file": "plugins/cordova-plugin-statusbar/www/statusbar.js",
        "id": "cordova-plugin-statusbar.statusbar",
        "clobbers": [
            "window.StatusBar"
        ]
    },
    {
        "file": "plugins/cordova-plugin-whitelist/whitelist.js",
        "id": "cordova-plugin-whitelist.whitelist",
        "runs": true
    },
    {
        "file": "plugins/ionic-plugin-keyboard/www/android/keyboard.js",
        "id": "ionic-plugin-keyboard.keyboard",
        "clobbers": [
            "cordova.plugins.Keyboard"
        ],
        "runs": true
    },
    {
        "file": "plugins/cordova-plugin-app-version/www/AppVersionPlugin.js",
        "id": "cordova-plugin-app-version.AppVersionPlugin",
        "clobbers": [
            "cordova.getAppVersion"
        ]
    },
    {
        "file": "plugins/cordova-plugin-camera/www/CameraConstants.js",
        "id": "cordova-plugin-camera.Camera",
        "clobbers": [
            "Camera"
        ]
    },
    {
        "file": "plugins/cordova-plugin-camera/www/CameraPopoverOptions.js",
        "id": "cordova-plugin-camera.CameraPopoverOptions",
        "clobbers": [
            "CameraPopoverOptions"
        ]
    },
    {
        "file": "plugins/cordova-plugin-camera/www/Camera.js",
        "id": "cordova-plugin-camera.camera",
        "clobbers": [
            "navigator.camera"
        ]
    },
    {
        "file": "plugins/cordova-plugin-camera/www/CameraPopoverHandle.js",
        "id": "cordova-plugin-camera.CameraPopoverHandle",
        "clobbers": [
            "CameraPopoverHandle"
        ]
    },
    {
        "file": "plugins/cordova-plugin-datepicker/www/android/DatePicker.js",
        "id": "cordova-plugin-datepicker.DatePicker",
        "clobbers": [
            "datePicker"
        ]
    },
    {
        "file": "plugins/cordova-plugin-file/www/DirectoryEntry.js",
        "id": "cordova-plugin-file.DirectoryEntry",
        "clobbers": [
            "window.DirectoryEntry"
        ]
    },
    {
        "file": "plugins/cordova-plugin-file/www/DirectoryReader.js",
        "id": "cordova-plugin-file.DirectoryReader",
        "clobbers": [
            "window.DirectoryReader"
        ]
    },
    {
        "file": "plugins/cordova-plugin-file/www/Entry.js",
        "id": "cordova-plugin-file.Entry",
        "clobbers": [
            "window.Entry"
        ]
    },
    {
        "file": "plugins/cordova-plugin-file/www/File.js",
        "id": "cordova-plugin-file.File",
        "clobbers": [
            "window.File"
        ]
    },
    {
        "file": "plugins/cordova-plugin-file/www/FileEntry.js",
        "id": "cordova-plugin-file.FileEntry",
        "clobbers": [
            "window.FileEntry"
        ]
    },
    {
        "file": "plugins/cordova-plugin-file/www/FileError.js",
        "id": "cordova-plugin-file.FileError",
        "clobbers": [
            "window.FileError"
        ]
    },
    {
        "file": "plugins/cordova-plugin-file/www/FileReader.js",
        "id": "cordova-plugin-file.FileReader",
        "clobbers": [
            "window.FileReader"
        ]
    },
    {
        "file": "plugins/cordova-plugin-file/www/FileSystem.js",
        "id": "cordova-plugin-file.FileSystem",
        "clobbers": [
            "window.FileSystem"
        ]
    },
    {
        "file": "plugins/cordova-plugin-file/www/FileUploadOptions.js",
        "id": "cordova-plugin-file.FileUploadOptions",
        "clobbers": [
            "window.FileUploadOptions"
        ]
    },
    {
        "file": "plugins/cordova-plugin-file/www/FileUploadResult.js",
        "id": "cordova-plugin-file.FileUploadResult",
        "clobbers": [
            "window.FileUploadResult"
        ]
    },
    {
        "file": "plugins/cordova-plugin-file/www/FileWriter.js",
        "id": "cordova-plugin-file.FileWriter",
        "clobbers": [
            "window.FileWriter"
        ]
    },
    {
        "file": "plugins/cordova-plugin-file/www/Flags.js",
        "id": "cordova-plugin-file.Flags",
        "clobbers": [
            "window.Flags"
        ]
    },
    {
        "file": "plugins/cordova-plugin-file/www/LocalFileSystem.js",
        "id": "cordova-plugin-file.LocalFileSystem",
        "clobbers": [
            "window.LocalFileSystem"
        ],
        "merges": [
            "window"
        ]
    },
    {
        "file": "plugins/cordova-plugin-file/www/Metadata.js",
        "id": "cordova-plugin-file.Metadata",
        "clobbers": [
            "window.Metadata"
        ]
    },
    {
        "file": "plugins/cordova-plugin-file/www/ProgressEvent.js",
        "id": "cordova-plugin-file.ProgressEvent",
        "clobbers": [
            "window.ProgressEvent"
        ]
    },
    {
        "file": "plugins/cordova-plugin-file/www/fileSystems.js",
        "id": "cordova-plugin-file.fileSystems"
    },
    {
        "file": "plugins/cordova-plugin-file/www/requestFileSystem.js",
        "id": "cordova-plugin-file.requestFileSystem",
        "clobbers": [
            "window.requestFileSystem"
        ]
    },
    {
        "file": "plugins/cordova-plugin-file/www/resolveLocalFileSystemURI.js",
        "id": "cordova-plugin-file.resolveLocalFileSystemURI",
        "merges": [
            "window"
        ]
    },
    {
        "file": "plugins/cordova-plugin-file/www/browser/isChrome.js",
        "id": "cordova-plugin-file.isChrome",
        "runs": true
    },
    {
        "file": "plugins/cordova-plugin-file/www/android/FileSystem.js",
        "id": "cordova-plugin-file.androidFileSystem",
        "merges": [
            "FileSystem"
        ]
    },
    {
        "file": "plugins/cordova-plugin-file/www/fileSystems-roots.js",
        "id": "cordova-plugin-file.fileSystems-roots",
        "runs": true
    },
    {
        "file": "plugins/cordova-plugin-file/www/fileSystemPaths.js",
        "id": "cordova-plugin-file.fileSystemPaths",
        "merges": [
            "cordova"
        ],
        "runs": true
    },
    {
        "file": "plugins/cordova-plugin-file-transfer/www/FileTransferError.js",
        "id": "cordova-plugin-file-transfer.FileTransferError",
        "clobbers": [
            "window.FileTransferError"
        ]
    },
    {
        "file": "plugins/cordova-plugin-file-transfer/www/FileTransfer.js",
        "id": "cordova-plugin-file-transfer.FileTransfer",
        "clobbers": [
            "window.FileTransfer"
        ]
    },
    {
        "file": "plugins/cordova-plugin-file-opener2/www/plugins.FileOpener2.js",
        "id": "cordova-plugin-file-opener2.FileOpener2",
        "clobbers": [
            "cordova.plugins.fileOpener2"
        ]
    },
    {
        "file": "plugins/cordova-plugin-x-toast/www/Toast.js",
        "id": "cordova-plugin-x-toast.Toast",
        "clobbers": [
            "window.plugins.toast"
        ]
    },
    {
        "file": "plugins/cordova-plugin-x-toast/test/tests.js",
        "id": "cordova-plugin-x-toast.tests"
    },
    {
        "file": "plugins/cn.jpush.phonegap.JPushPlugin/www/JPushPlugin.js",
        "id": "cn.jpush.phonegap.JPushPlugin.JPushPlugin",
        "clobbers": [
            "jPushPlugin"
        ]
    },
    {
        "file": "plugins/com.phonegap.plugins.PushPlugin/www/PushNotification.js",
        "id": "com.phonegap.plugins.PushPlugin.PushNotification",
        "clobbers": [
            "PushNotification"
        ]
    },
    {
        "file": "plugins/de.appplant.cordova.plugin.local-notification/www/local-notification.js",
        "id": "de.appplant.cordova.plugin.local-notification.LocalNotification",
        "clobbers": [
            "cordova.plugins.notification.local",
            "plugin.notification.local"
        ]
    },
    {
        "file": "plugins/de.appplant.cordova.plugin.local-notification/www/local-notification-core.js",
        "id": "de.appplant.cordova.plugin.local-notification.LocalNotification.Core",
        "clobbers": [
            "cordova.plugins.notification.local.core",
            "plugin.notification.local.core"
        ]
    },
    {
        "file": "plugins/de.appplant.cordova.plugin.local-notification/www/local-notification-util.js",
        "id": "de.appplant.cordova.plugin.local-notification.LocalNotification.Util",
        "merges": [
            "cordova.plugins.notification.local.core",
            "plugin.notification.local.core"
        ]
    },
    {
        "file": "plugins/cordova-plugin-image-picker/www/imagepicker.js",
        "id": "cordova-plugin-image-picker.ImagePicker",
        "clobbers": [
            "plugins.imagePicker"
        ]
    },
    {
        "file": "plugins/com.pay.plugin/www/WXPayPlugin.js",
        "id": "com.pay.plugin.WXPayPlugin",
        "clobbers": [
            "window.plugins.WXPayPlugin"
        ]
    },
        { 
            "file": "plugins/com.pay.plugin/www/ALiPayPlugin.js", 
            "id": "com.pay.plugin.ALiPayPlugin", 
            "clobbers": [ 
                "window.plugins.ALiPayPlugin" 
            ] 
        },
    {
        "file": "plugins/cordova-plugin-inappbrowser/www/inappbrowser.js",
        "id": "cordova-plugin-inappbrowser.inappbrowser",
        "clobbers": [
            "cordova.InAppBrowser.open",
            "window.open"
        ]
    },
    {
        "file": "plugins/com.push.plugin/www/FWPushPlugin.js",
        "id": "com.push.plugin.FWPushPlugin",
        "clobbers": [
            "window.plugins.FWPushPlugin"
        ]
    },
    {
        "id": "cordova-plugin-geolocation.geolocation",
        "file": "plugins/cordova-plugin-geolocation/www/android/geolocation.js",
        "pluginId": "cordova-plugin-geolocation",
        "clobbers": [
            "navigator.geolocation"
        ]
    },
    {
        "id": "cordova-plugin-geolocation.PositionError",
        "file": "plugins/cordova-plugin-geolocation/www/PositionError.js",
        "pluginId": "cordova-plugin-geolocation",
        "runs": true
    },
    {
        "id": "es6-promise-plugin.Promise",
        "file": "plugins/es6-promise-plugin/www/promise.js",
        "pluginId": "es6-promise-plugin",
        "runs": true
    },
    {
        "id": "cordova-plugin-screen-orientation.screenorientation",
        "file": "plugins/cordova-plugin-screen-orientation/www/screenorientation.js",
        "pluginId": "cordova-plugin-screen-orientation",
        "clobbers": [
            "cordova.plugins.screenorientation"
        ]
    },
    {
        "id": "phonegap-plugin-barcodescanner.BarcodeScanner",
        "file": "plugins/phonegap-plugin-barcodescanner/www/barcodescanner.js",
        "pluginId": "phonegap-plugin-barcodescanner",
        "clobbers": [
            "cordova.plugins.barcodeScanner"
        ]
    },
    // 2023-10-07 11:09:00 CGZ 移除道一巡和易复诊插件
//    {
//        "file": "plugins/com.baiyyy.easy.chat.pat/www/EasyChatPlugin.js",
//        "id": "com.baiyyy.easy.chat.pat.EasyChatPlugin",
//        "clobbers": [
//            "window.plugins.EasyChatPlugin"
//        ]
//    },
    {
        "file": "plugins/com.tencent.trtc.wxmini/www/MiniProgramPlugin.js",
        "id": "com.tencent.trtc.wxmini.MiniProgramPlugin",
        "clobbers": [
            "window.plugins.MiniProgramPlugin"
        ]
    },
    {
        "file": "plugins/cordova-plugin-file-md5/www/md5chksum.js",
        "id": "cordova-plugin-file-md5.md5chksum",
        "clobbers": [
            "md5chksum"
        ]
    },
    {
        "id": "cordova-plugin-wechat.Wechat",
        "file": "plugins/cordova-plugin-wechat/www/wechat.js",
        "pluginId": "cordova-plugin-wechat",
        "clobbers": [
            "Wechat"
        ]
    },
    {
        "file": "plugins/com.locnavi.plugin/www/LocNaviPlugin.js",
        "id": "com.locnavi.plugin.LocNaviPlugin",
        "clobbers": [
            "window.plugins.LocNaviPlugin"
        ]
    },
    {
        "file": "plugins/com.android.init.plugin/www/AndroidInitPlugin.js",
        "id": "com.android.init.plugin.AndroidInitPlugin",
        "clobbers": [
            "window.plugins.AndroidInitPlugin"
        ]
    },
    {
         "file": "plugins/group.wincome.plugins.patientMeal/www/PatientMealPlugin.js",
         "id": "group.wincome.plugins.patientMeal.PatientMealPlugin",
         "pluginId": "group.wincome.plugins.patientMeal.PatientMealPlugin",
         "clobbers": [
             "window.plugins.PatientMealPlugin"
         ]
    },
    {
         "file": "plugins/com.fuwaiyixin.plugin/www/YixinShopPlugin.js",
         "id": "com.fuwaiyixin.plugin.YixinShopPlugin",
         "clobbers": [
             "window.plugins.YixinShopPlugin"
         ]
    }
];
module.exports.metadata =
// TOP OF METADATA
{
//    "cordova-plugin-console": "1.0.2",
//    "cordova-plugin-device": "1.1.1",
////    "cordova-plugin-splashscreen": "5.0.2"
//    "cordova-plugin-statusbar": "2.4.2",
////    "cordova-plugin-whitelist": "1.2.1"
//    "ionic-plugin-keyboard": "2.0.1",
//    "cordova-plugin-app-version": "0.1.8",
//    "cordova-plugin-camera": "4.1.0",
//    "cordova-plugin-datepicker": "0.9.2",
//    "cordova-plugin-file": "4.1.1",
//    "cordova-plugin-file-transfer": "1.5.0",
//    "cordova-plugin-file-opener2": "3.0.0",
//    "cordova-plugin-x-toast": "2.7.2",
//    "cn.jpush.phonegap.JPushPlugin": "2.1.0",//
//    "com.phonegap.plugins.PushPlugin": "2.5.0",//
//    "cordova-plugin-app-event": "1.2.0",
//    "de.appplant.cordova.plugin.local-notification": "0.8.4",
//    "cordova-plugin-image-picker": "1.1.1",
//    "cordova-plugin-inappbrowser": "1.7.1",
////    "cordova-plugin-compat": "1.2.0"
//    "cordova-plugin-geolocation": "2.4.3",
//    "es6-promise-plugin": "4.2.2",
//    "cordova-plugin-screen-orientation": "3.0.2",
//    "phonegap-plugin-barcodescanner": "6.0.8",
//    "com.baiyyy.easy.chat.pat.EasyChatPlugin": "1.0.0",
//    "com.tencent.trtc.wxmini.MiniProgramPlugin": "1.0.0",
//    "cordova-plugin-file-md5": "0.3.3",
//    "cordova-plugin-wechat": "3.0.0",//
//    "com.locnavi.plugin.LocNaviPlugin": "1.0.0",
//     "group.wincome.plugins.patientMeal.PatientMealPlugin": "1.0.0"




    "cordova-plugin-console": "1.1.0",
    "cordova-plugin-device": "2.1.0",
    "cordova-plugin-statusbar": "2.4.2",//
    "ionic-plugin-keyboard": "2.2.1",
    "cordova-plugin-app-version": "0.1.14",
    "cordova-plugin-camera": "6.0.0",
    "cordova-plugin-datepicker": "0.9.3",
    "cordova-plugin-file": "7.0.0",
    "cordova-plugin-file-transfer": "1.7.1",
    "cordova-plugin-file-opener2": "4.0.0",
    "cordova-plugin-x-toast": "2.7.3",
    "cn.jpush.phonegap.JPushPlugin": "2.1.0",//
    "com.phonegap.plugins.PushPlugin": "2.5.0",//
    "cordova-plugin-app-event": "1.2.2",
    "de.appplant.cordova.plugin.local-notification": "0.8.5",
    "cordova-plugin-image-picker": "1.1.1",
    "cordova-plugin-inappbrowser": "5.0.0",
    "cordova-plugin-geolocation": "4.1.0",
    "es6-promise-plugin": "4.2.2",
    "cordova-plugin-screen-orientation": "3.0.3",
    "phonegap-plugin-barcodescanner": "8.1.0",
//    "com.baiyyy.easy.chat.pat.EasyChatPlugin": "1.0.0",
    "com.tencent.trtc.wxmini.MiniProgramPlugin": "1.0.0",
    "cordova-plugin-file-md5": "0.3.3",//
    "cordova-plugin-wechat": "3.0.0",//
    "com.locnavi.plugin.LocNaviPlugin": "1.0.0",
    "com.android.init.plugin.AndroidInitPlugin": "1.0.0",
    "group.wincome.plugins.patientMeal.PatientMealPlugin": "1.0.0",
    "com.fuwaiyixin.plugin.YixinShopPlugin": "1.0.0"
};

// BOTTOM OF METADATA
});
