﻿angular.module('fwapp.controllers')

.controller('MedicalAppointFormController', function ($scope, $rootScope, $state, $stateParams, $timeout,
    VisitPatientService, HealthService, SrvyService, MedicalAppointService,
    $ionicSlideBoxDelegate, $ionicScrollDelegate, $ionicLoading, $ionicPlatform, $ionicPopup, $ionicActionSheet, $ionicModal, $ionicPopover,
    $cordovaDatePicker, $fwCordovaToast) {
    var slideAppointForm = $ionicSlideBoxDelegate.$getByHandle('slideAppointForm');
    //数据绑定变量
    $scope.muser;
    //默认页为0
    $scope.step = 0;
    //已取消订单
    $scope.medModel = [];
    $scope.HasList = [];
    $scope.muser = new Object();
    $scope.muser =
    {
        APPT_DRINKING_FREQ: 0,
        APPT_SMOKE_FREQ: 0
    }

    //单选框
    $scope.satis = { APPT_GXY: 0, APPT_GXZ: 0, APPT_NZF: 0, APPT_SZB: 0, APPT_GXB: 0, APPT_EXZL: 0, APPT_XJGS: 0, APPT_LXZL: 0, APPT_YCBS: 0, APPT_TNB: 0,
        APPT_GYS: 0, APPT_ZFG: 0, APPT_DNB: 0, APPT_SSWKS: 0, APPT_ZKJC: 0
    };
    //设置单选框值
    $scope.levels =
    [
        { key: "无", value: 0 },
        { key: "有", value: 1 }
    ];
    //    婚姻单选框
    $scope.marriage = { APPT_MARRIAGE: 2 };
    $scope.marlevels =
    [
        { key: "已婚", value: 2 },
        { key: "未婚", value: 1 }
    ];
    //切换TAB页
    $scope.dietTabChange = function (index) {
        if (index == 0) {
            type = 0;
            $scope.SelectList(type);
        }
        if (index == 4) {
            type = 2;
            $scope.HasBack(index, type);
        }
        if (index == 3) {
            type = 1;
            $scope.SelectHisList(index, type);
        }
        else {
            TabChange(index)
        }
    }

    TabChange = function (index) {
        $scope.step = index;
        $ionicSlideBoxDelegate.$getByHandle('slideAppointForm').slide(index);
        $ionicScrollDelegate.$getByHandle("scrollAppointForm").resize();
        $ionicScrollDelegate.$getByHandle("scrollAppointForm").scrollTop();
    }
    // dom准备就绪
    ionic.DomUtil.ready(function () {
        // 禁用滑动
        $ionicSlideBoxDelegate.$getByHandle('slideAppointForm').enableSlide(false);
    });
    // 初始化
    $scope.$on('$ionicView.loaded', function () {
        type = 0;
        $scope.SelectList(type);
    })
    $scope.goBack = function () {
        if ($scope.step == 5) {
            TabChange(0);
        }
        else {
            $state.go('app.home');
        }
    }
    // 页面进入
    $scope.$on('$ionicView.enter', function () {
        // 绑定返回键
        $ionicPlatform.registerBackButtonAction(function (e) {
            if ($scope.step == 0) {
                $rootScope.goBack();
            }
            else {
                $scope.goBack();
            }
            e.preventDefault();
            return false;
        }, 135, 'medicalAppointForm');
    })
    $scope.$on('$ionicView.beforeLeave', function () {
        for (actionId in $ionicPlatform.$backButtonActions) {
            if ($ionicPlatform.$backButtonActions[actionId].id == 'medicalAppointForm') {
                $ionicPlatform.$backButtonActions[actionId].priority = 0;
            }
        }
    });
    $scope.SelectList = function (type) {
        MedicalAppointService.AllSelect(type).then(function (data) {
            if (data.result == 1) {
                $scope.DetailList = data.data;

            }
            else {
                $scope.DetailList = [];
            }
        }, function (data) {
            var alertPopup = $ionicPopup.alert({
                title: '网络异常',
                template: data.msg
            });
        });
    };
    //提交表单
    $scope.update = function (YY_EXAM_APPT_INFO_ID) {
        $scope.muser.APPT_GXY = $scope.satis.APPT_GXY;
        $scope.muser.APPT_GXZ = $scope.satis.APPT_GXZ;
        $scope.muser.APPT_NZF = $scope.satis.APPT_NZF;
        $scope.muser.APPT_SZB = $scope.satis.APPT_SZB;
        $scope.muser.APPT_GXB = $scope.satis.APPT_GXB;
        $scope.muser.APPT_EXZL = $scope.satis.APPT_EXZL;
        $scope.muser.APPT_XJGS = $scope.satis.APPT_XJGS;
        $scope.muser.APPT_LXZL = $scope.satis.APPT_LXZL;
        $scope.muser.APPT_YCBS = $scope.satis.APPT_YCBS;
        $scope.muser.APPT_TNB = $scope.satis.APPT_TNB;
        $scope.muser.APPT_GYS = $scope.satis.APPT_GYS;
        $scope.muser.APPT_ZFG = $scope.satis.APPT_ZFG;
        $scope.muser.APPT_DNB = $scope.satis.APPT_DNB;
        $scope.muser.APPT_SSWKS = $scope.satis.APPT_SSWKS;
        $scope.muser.APPT_ZKJC = $scope.satis.APPT_ZKJC;
        $scope.muser.APPT_MARRIAGE = $scope.marriage.APPT_MARRIAGE;
        $scope.muser.YY_EXAM_APPT_INFO_ID = YY_EXAM_APPT_INFO_ID;
        if ($scope.muser.APPT_SMOKE_YEAR == 0) {
            $scope.muser.APPT_SMOKE_FREQ = 0
        }
        if ($scope.muser.APPT_DRINKING_YEAR == 0) {
            $scope.muser.APPT_DRINKING_FREQ = 0
        }
        if ($scope.AllNull() == false) {
        }
        else
            MedicalAppointService.Update($scope.muser).then(function (data) {
                // 预约成功
                if (data.result == 1) {
                    $scope.medicalformHide();
                    $scope.updateShow();
                    $scope.muser.APPT_DRINKING_FREQ = 0;
                    $scope.muser.APPT_SMOKE_FREQ = 0;
                }
                // 提交失败
                else {
                    var alertPopup = $ionicPopup.alert({
                        title: '提交失败',
                        template: data.msg
                    });
                }
            }, function (data) {
                var alertPopup = $ionicPopup.alert({
                    title: '网络异常',
                    template: data.msg
                });
            });
    };
    //取消预约
    $scope.RowBack = function (YY_EXAM_APPT_INFO_ID) {
        // 记录当前列表页滚动条位置
        MedicalAppointService.RowBack(YY_EXAM_APPT_INFO_ID).then(function (data) {
            if (data.result == 1) {
                $ionicPopup.alert({
                    template: '取消成功'
                });
                $scope.successShow();
            }
            else {
                $ionicPopup.alert({
                    template: '取消失败'
                });
            }
        }, function (data) {
            var alertPopup = $ionicPopup.alert({
                title: '网络异常',
                template: data.msg
            });
        });
    };
    //查询已取消的预约
    $scope.HasBack = function (index) {
        // 记录当前列表页滚动条位置
        MedicalAppointService.AllSelect(type).then(function (data) {
            if (data.result == 1) {
                $scope.HasList = data.data;
                TabChange(index);
            }
            else {
                $scope.HasList = data.data;
            }
        }, function (data) {
            var alertPopup = $ionicPopup.alert({
                title: '网络异常',
                template: data.msg
            });
        });
    };
    //查询历史查体
    $scope.SelectHisList = function (index, type) {
        MedicalAppointService.AllSelect(type).then(function (data) {
            if (data.result == 1) {
                $scope.HisList = data.data;
                TabChange(index);
            }
            else {
                $scope.HisList = data.data;
                TabChange(index);
            }
        }, function (data) {
            var alertPopup = $ionicPopup.alert({
                title: '网络异常',
                template: data.msg
            });
        });
    };
    //单选框
    $scope.selectThis = function (type, value) {

        $scope.satis[type] = value;
    }
    //婚姻复选框选择赋值
    $scope.selectmarThis = function (type, value) {
        $scope.marriage[type] = value;
    }
    // 模态窗口:补全
    $ionicModal.fromTemplateUrl('medicalform.html', {
        scope: $scope
    }).then(function (modal) {
        $scope.medicalformmodel = modal;
    });
    $scope.$on('$destroy', function () {
        $scope.medicalformmodel.remove();
    })
    $scope.medicalformShow = function (YY_EXAM_APPT_INFO_ID) {
        MedicalAppointService.SelectInfo(YY_EXAM_APPT_INFO_ID).then(function (data) {
            if (data.result == 1) {
                $scope.medModel = data.data;
                $scope.medicalformmodel.show();
            } else {
                var alertPopup = $ionicPopup.alert({
                    title: '无该记录',
                    template: data.msg
                });
            }
        })
    }
    $scope.medicalformHide = function () {
        $scope.medicalformmodel.hide();
        type = 0;
        $scope.SelectList(type);
        TabChange(0);
    }
    //取消成功模态窗
    $ionicModal.fromTemplateUrl('success.html', {
        scope: $scope
    }).then(function (modal) {
        $scope.successmodel = modal;
    });
    $scope.$on('$destroy', function () {
        $scope.successmodel.remove();
    })
    $scope.successShow = function () {
        $scope.successmodel.show();
    }
    $scope.successHide = function () {
        $scope.successmodel.hide();
        $scope.cancelHide();
        type = 0;
        $scope.SelectList(type);
        TabChange(0);
    }
    //取消详情模态窗
    $ionicModal.fromTemplateUrl('cancel.html', {
        scope: $scope
    }).then(function (modal) {
        $scope.cancelmodel = modal;
    });
    $scope.$on('$destroy', function () {
        $scope.cancelmodel.remove();
    })
    $scope.cancelShow = function () {
        $scope.cancelmodel.show();
    }
    $scope.cancelHide = function () {
        $scope.cancelmodel.hide();
        type = 0;
        $scope.SelectList(type);
        TabChange(0);
    }
    //取消详情
    $scope.SelectInfo = function (YY_EXAM_APPT_INFO_ID) {
        MedicalAppointService.SelectInfo(YY_EXAM_APPT_INFO_ID).then(function (data) {
            // 预约成功
            if (data.result == 1) {
                $scope.medBaseinfo = data.data;
                $scope.cancelShow();
            }
        })
    }
    //补全信息模态框
    $ionicModal.fromTemplateUrl('update.html', {
        scope: $scope
    }).then(function (modal) {
        $scope.updatemodel = modal;
    });
    $scope.$on('$destroy', function () {
        $scope.updatemodel.remove();

    })
    $scope.updateShow = function () {
        $scope.updatemodel.show();
        MedicalAppointService.GetConfig("ExaminationUpdateSuccessInfo", "").then(function (data) {
            $scope.updateList = data.data;
        })
    }
    $scope.updateHide = function () {
        $scope.updatemodel.hide();
        type = 0;
        $scope.SelectList(type);
        TabChange(0);
    }
    //时间格式化
    //    $scope.format_time = function (date) {
    //        var time = new Date(date);
    //        var y = time.getFullYear();
    //        var m = time.getMonth() + 1;
    //        m = m < 10 ? ('0' + m) : m;
    //        var d = time.getDate();
    //        d = d < 10 ? ('0' + d) : d;
    //        return y + '-' + m + '-' + d;
    //    }


    $scope.format_time = function (date) {
        if (date != undefined && date != null && date != '') {
            if (currentPlatform == "iOS") {
                date = date.replace(/-/g, "/");
            }
            var time = new Date(date);
            var y = time.getFullYear();
            var m = time.getMonth() + 1;
            m = m < 10 ? ('0' + m) : m;
            var d = time.getDate();
            d = d < 10 ? ('0' + d) : d;
            return y + '-' + m + '-' + d;
        }
    }

    //表单验证
    $scope.AllNull = function () {
        if ($scope.muser.APPT_NATION == "" || $scope.muser.APPT_NATION == null) {
            $ionicPopup.alert({
                template: '民族不能为空'
            });
            return false;
        }
        if ($scope.muser.APPT_BLOOD_TYPE == "" || $scope.muser.APPT_BLOOD_TYPE == null) {
            $ionicPopup.alert({
                template: '血型不能为空'
            });
            return false;
        }
        if ($scope.muser.APPT_HEIGHT == "" || $scope.muser.APPT_HEIGHT == null) {
            $ionicPopup.alert({
                template: '身高不能为空'
            });
            return false;
        }
        if ($scope.muser.APPT_NATION == "" || $scope.muser.APPT_NATION == null) {
            $ionicPopup.alert({
                template: '体重不能为空'
            });
            return false;
        }
        if ($scope.muser.APPT_ADDRESS == "" || $scope.muser.APPT_ADDRESS == null) {
            $ionicPopup.alert({
                template: '常住地址不能为空'
            });
            return false;
        }
        if ($scope.muser.APPT_RELATIVES_NAME == "" || $scope.muser.APPT_RELATIVES_NAME == null) {
            $ionicPopup.alert({
                template: '亲属姓名不能为空'
            });
            return false;
        }
        if ($scope.muser.APPT_RELATIVES_PHONENUM == "" || $scope.muser.APPT_RELATIVES_PHONENUM == null) {
            $ionicPopup.alert({
                template: '亲属手机号不能为空'
            });
            return false;
        }
        if ($scope.isphone($scope.muser.APPT_RELATIVES_PHONENUM) == false) {
            $ionicPopup.alert({
                template: '亲属手机号错误'
            });
            return false;
        }
        if ($scope.muser.APPT_PRESSURE == "" || $scope.muser.APPT_PRESSURE == null) {
            $ionicPopup.alert({
                template: '工作压力不能为空'
            });
            return false;
        }
        if ($scope.muser.APPT_SURGERY == "" || $scope.muser.APPT_SURGERY == null) {
            $ionicPopup.alert({
                template: '手术不能为空'
            });
            return false;
        }
        if ($scope.muser.APPT_OTHER == "" || $scope.muser.APPT_OTHER == null) {
            $ionicPopup.alert({
                template: '其他不能为空'
            });
            return false;
        }
        if ($scope.muser.APPT_DISEASE_DESC == "" || $scope.muser.APPT_DISEASE_DESC == null) {
            $ionicPopup.alert({
                template: '疾病描述不能为空'
            });
            return false;
        }
        if ($scope.muser.APPT_NOW_DESC == "" || $scope.muser.APPT_NOW_DESC == null) {
            $ionicPopup.alert({
                template: '主要不适不能为空'
            });
            return false;
        }
        if ($scope.muser.APPT_SMOKE_YEAR == 0) { }
        else if ($scope.muser.APPT_SMOKE_YEAR == "" || $scope.muser.APPT_SMOKE_YEAR == null) {
            $ionicPopup.alert({
                template: '烟龄不能为空'
            });
            return false;
        }
        else {
            if ($scope.muser.APPT_SMOKE_FREQ == 0 || $scope.muser.APPT_SMOKE_FREQ == "" || $scope.muser.APPT_SMOKE_FREQ == null) {
                $ionicPopup.alert({
                    template: '吸烟频次不能为空'
                });
                return false;
            }
        }
        if ($scope.muser.APPT_DRINKING_YEAR == 0) { }
        else if ($scope.muser.APPT_DRINKING_YEAR == "" || $scope.muser.APPT_DRINKING_YEAR == null) {
            $ionicPopup.alert({
                template: '酒龄不能为空'
            });
            return false;
        }
        else {
            if ($scope.muser.APPT_DRINKING_FREQ == 0 || $scope.muser.APPT_DRINKING_FREQ == "" || $scope.muser.APPT_DRINKING_FREQ == null) {
                $ionicPopup.alert({
                    template: '饮酒频次不能为空'
                });
                return false;
            }
        }

        if ($scope.muser.APPT_EATING_HABIT == "" || $scope.muser.APPT_EATING_HABIT == null) {
            $ionicPopup.alert({
                template: '饮食习惯不能为空'
            });
            return false;
        }
    }
    //手机号验证
    $scope.isphone = function (phone) {
        var regPhoneNum = /^1[3-9][0-9]{9}$/;
        if (!regPhoneNum.test(phone)) {
            return false;
        }
        else {
            return true;
        }
    }
})