﻿angular.module('fwapp.controllers')

    // 首页
    .controller('WholeMessageStreamsController', function ($scope, $rootScope, $state, $timeout, $window
        , $ionicModal, $ionicPopup, $ionicSlideBoxDelegate, $ionicLoading, $ionicScrollDelegate, $cordovaInAppBrowser, $stateParams
        , ArticleService, OpRegService, OpApptService, HospitalService, OlTreatRecipeService, ConsultationService, RequestService, HospitalService, PersonalService, OpPaymentService) {
        // 切换功能6块
        //console.log(typeof ($rootScope.currentModelSlide) == 'undefined');
        if (typeof ($rootScope.currentModelSlide) == 'undefined') {
            $rootScope.currentModelSlide = 0;
        }
 

        // 初始化
        $scope.$on('$ionicView.loaded', function () {
            $scope.wholeMessage();
        });
        
        $scope.testData = [1,2,3,4];
        // 消息流
        // 消息流计时器
        $scope.messageTimer = {};
        // 更新RID计时器
        $scope.updateRidTimer = {};

        // (未过期)消息流列表
        $scope.messageStreams = [];
        // (全部)消息流列表
        $scope.wholeMessageStreams = [];
        // (全部)消息流列表
        $scope.wholeDistance = [];

        // 号序数组
        $scope.numberSequence = [];
        // 等候数组
        $scope.waitCount = [];
        $scope.checkType = 1;
        // 获取(未过期)消息流
        $scope.loadMessageStreams = function () {
            HospitalService.loadMessageStreams().then(function (result) {
                if (result.result == 1) {
                    $scope.messageStreams = result.dt;

                }
                else {
                    console.log(result.msg);
                }
                /*
                $timeout(function () {
                    // 判断当前位置，如果在智能导诊界面才提示
                        var confirmPopupTest = $ionicPopup.confirm({
                            title: '智能导诊路径推荐',
                            //template: '系统已为您重新规划路径，新路径比当前路径节省时间大约7分钟，是否切换？',
                            template: '由于等候队列变化，系统已为您重新规划诊疗路径，是否切换？',
                            cancelText: '稍后再说',
                            okText: '切换路径'
                        });
                        // 切换路径, 跳转到页面顶端
                        confirmPopupTest.then(function (res) {
                            if (res) {
                                HospitalService.loadWholeMessageStreams().then(function (result) {
                                    if (result.result == 1) {
                                        // 按Request获取Response
                                        //$scope.getNum(result.dt, 0);

                                        $scope.wholeMessageStreams = [];
                                        for (var i = 3; i >= 0; i--) {
                                            $scope.wholeMessageStreams.push(result.dt[i]);
                                        }
                                        $scope.numberSequence = [];
                                        temp = { requestId: "", myNum: 17, momentNum: 12, waitCount: 5, waitTime: 20 };
                                        $scope.numberSequence.push(temp);
                                        temp = { requestId: "", myNum: 12, momentNum: 10, waitCount: 2, waitTime: 6 };
                                        $scope.numberSequence.push(temp);
                                        temp = { requestId: "", myNum: 25, momentNum: 16, waitCount: 9, waitTime: 54 };
                                        $scope.numberSequence.push(temp);
                                        temp = { requestId: "", myNum: 25, momentNum: 22, waitCount: 3, waitTime: 6 };
                                        $scope.numberSequence.push(temp);
                                        $ionicScrollDelegate.scrollTop();
                                    }
                                    else {
                                        console.log(result.msg);
                                    }
                                });
                            }
                            else {
                            }
                        })

                }, 5000);
                */
            });
        }

        // 全部消息流 =>按Request获取Response
        $scope.wholeMessage = function () {
            HospitalService.loadWholeMessageStreams().then(function (result) {
                if (result.result == 1) {
                    setTimeout(function () {
                        // 深度复制
                        //$scope.wholeMessageStreams = result.dt;
                        $.extend($scope.wholeMessageStreams, result.dt);
                        // 加个排序 让距离最短和时间最短不一样
                        var temp1 = $scope.wholeMessageStreams[1];
                        $scope.wholeMessageStreams[1] = $scope.wholeMessageStreams[2];
                        $scope.wholeMessageStreams[2] = temp1;
                        console.log($scope.wholeMessageStreams);
                        // 深度复制
                        //$scope.wholeDistance = result.dt;
                        $.extend($scope.wholeDistance, result.dt);
                        // 加个排序 让距离最短和时间最短不一样
                        var temp3 = $scope.wholeDistance[0];
                        $scope.wholeDistance[0] = $scope.wholeDistance[1];
                        $scope.wholeDistance[1] = $scope.wholeDistance[2];
                        $scope.wholeDistance[2] = temp3;
                        console.log($scope.wholeDistance);
                        $scope.numberSequence = [];
                        temp = { requestId: "", myNum: 12, momentNum: 10, waitCount: 2, waitTime: 6 };
                        $scope.numberSequence.push(temp);
                        temp = { requestId: "", myNum: 25, momentNum: 21, waitCount: 4, waitTime: 8 };
                        $scope.numberSequence.push(temp);
                        temp = { requestId: "", myNum: 25, momentNum: 16, waitCount: 9, waitTime: 54 };
                        $scope.numberSequence.push(temp);
                        temp = { requestId: "", myNum: 17, momentNum: 12, waitCount: 5, waitTime: 20 };
                        $scope.numberSequence.push(temp);
                        // 按Request获取Response
                        //$scope.getNum(result.dt, 0);
                    }, 1);
                }
                else {
                    console.log(result.msg);
                }
            });
        }

        // 按Request获取Response
        $scope.getNum = function (dt, index) {
            if (index < dt.length) {
                // 过期了
                if (dt[index].STATUS == 2 || dt[index].LAST_REQUEST_ID == null) {
                    var temp = { requestId: '', myNum: 0, momentNum: 0, waitCount: 0, waitTime: 0 };
                    $scope.numberSequence.push(temp);
                    index++;
                    $scope.getNum(dt, index);
                }
                else {
                    RequestService.MessageStreamNumberSenquence(dt[index].LAST_REQUEST_ID).then(function (result) {
                        var temp = null;
                        // 成功且非空
                        if (result.result == 1 && result.is_null == 0) {
                            // 平均时长
                            HospitalService.getAVGLength(result.data[0]["QUEUE_TYPE_SOURCE_ID"], result.data[0]["QUEUE_TYPE_ID"]).then(function (data) {
                                var waitTime = 0;
                                if (data.result == 1) {
                                    waitTime = data.waitTime * result.data[0]["WAIT_COUNT"];
                                }

                                switch (dt[index].REQUEST_TYPE) {
                                    // 门诊叫号
                                    case "OP_CALLLIST":
                                        temp = { requestId: dt[index].LAST_REQUEST_ID, myNum: result.data[0]["HS"], momentNum: result.data[0]["DQHX"], waitCount: 0, waitTime: 0 };
                                        break;
                                    //（检验科单独)等候人数
                                    case "OP_WAIT_COUNT":
                                        temp = { requestId: dt[index].LAST_REQUEST_ID, myNum: 0, momentNum: 0, waitCount: result.data[0]["WAIT_COUNT"], waitTime: waitTime };
                                        break;
                                    // 检查叫号(等待人数合并)
                                    case "CHECK_CALLLIST":
                                        temp = { requestId: dt[index].LAST_REQUEST_ID, myNum: result.data[0]["QUEUE_NUM"], momentNum: result.data[0]["QUEUE_ORDER"] == -1 ? result.data[0]["QUEUE_NUM"] : result.data[0]["QUEUE_ORDER"], waitCount: result.data[0]["WAIT_COUNT"], waitTime: waitTime };
                                        break;
                                    default:
                                        temp = { requestId: dt[index].LAST_REQUEST_ID, myNum: 0, momentNum: 0, waitCount: 0, waitTime: 0 };
                                        break;
                                }

                                $scope.numberSequence.push(temp);
                                index++;
                                $scope.getNum(dt, index);
                            })
                        }
                        //  失败=>不显示
                        else {
                            temp = { requestId: dt[index].LAST_REQUEST_ID, myNum: 0, momentNum: 0, waitCount: 0, waitTime: 0 };
                            $scope.numberSequence.push(temp);
                            index++;
                            $scope.getNum(dt, index);
                        }
                    })
                }
            }
            // 获取了全部
            else {
                console.log("按Request获取Response：完毕");
            }
        }

        // 更新REQUEST_ID(递归)
        $scope.updateRequestId = function (dt, index) {
            if (dt.length == 0) {
                console.log("刷新Rid：跳出");
                return;
            }

            if (index < dt.length) {
                if (dt[index].REQUEST_TYPE == null || dt[index].LAST_REQUEST_ID == null) {
                    index++;
                    $scope.updateRequestId($scope.wholeMessageStreams, index);
                }
                else {
                    HospitalService.updateRequestId(dt[index].MESSAGE_STREAM_ID, dt[index].LAST_REQUEST_ID).then(function (result) {
                        // 失败
                        if (result.result != 1) {
                            console.log(result.msg);
                        }
                        index++;
                        $scope.updateRequestId($scope.wholeMessageStreams, index);
                    })
                }
            }
            else {
                console.log("刷新Rid：完毕");
                // 先执行一次
                clearInterval($scope.updateRidTimer);
                // 刷新(全部)消息流
                $scope.wholeMessage(false);
            }
        }

        //// 关闭全部消息模态窗
        //$scope.messageStreamsModalHide = function () {
        //    clearInterval($scope.updateRidTimer);
        //    $scope.messageStreamsModal.hide();
        //    $scope.isMessageStreamsOpen = false;
        //}

        // 去检查报告
        $scope.returnReport = function () {
            //$scope.messageStreamsModal.hide();
            //$scope.isMessageStreamsOpen = false;
            $state.go('app.report');
        }

        // 进入触发
        $scope.$on('$ionicView.enter', function () {
            // 加载首页消息
            $scope.loadMessageStreams();
            // 10m = 600000
            $scope.messageTimer = setInterval(function () {
                $scope.loadMessageStreams()
            }, 15000);
        });
        // 离开清除
        $scope.$on('$ionicView.leave', function () {
            clearInterval($scope.messageTimer);
            //$scope.isMessageStreamsOpen = false;
        });
        // 销毁移除
        $scope.$on('$destroy', function () {
            //$scope.messageStreamsModal.remove();
            //$scope.isMessageStreamsOpen = false;
        })
        // 页面退出，解除后退绑定
        // 可能绑定的事件得改
        $scope.$on('$ionicView.beforeLeave', function () {
          
        })
        // 后退 重写goBack
        $scope.goBack = function () {
            $state.go("app.home");
        }
        // 切换检查类型
        $scope.changeType = function (type) {
            $scope.checkType = type;
            $ionicScrollDelegate.scrollTop();
        }

    })
