﻿angular.module('fwapp.services')

// 
.service('ArticleAppService', function ($q, $http, BaseService) {
    return {
        columnInfo: function (columnId) {
            return BaseService.post("/ArticleApp/ColumnInfo", { columnId: columnId });
        },
        list: function (columnId, pageNum, pageSize) {
            return BaseService.post("/ArticleApp/List", { columnId: columnId, pageNum: pageNum, pageSize: pageSize });
        },
        detail: function (articleId) {
            return BaseService.post("/ArticleApp/Detail", { articleId: articleId });
        }
    }

})