﻿angular.module('fwapp.services')

// 
.service('ArticleService', function ($q, $http, BaseService) {
    return {
        // 获取目录
        index: function (type) {
            return BaseService.post("/Article/Index", { type: type });
        },
        // 分页获取列表
        list: function (columnId, pageNum, pageSize) {
            return BaseService.post("/Article/List", { columnId: columnId, pageNum: pageNum, pageSize: pageSize });
        },
        // 获取内容
        detail: function (articleId, articleType) {
            return BaseService.post("/Article/Detail", { articleId: articleId, articleType: articleType });
        },
        // 2016-9-14 08:39:13 新首页图片 取医院动态前5条带图文章
        homeImage: function () {
            return BaseService.post('/Article/Home')
        },
        // 获取栏目
        columnName: function (columnId) {
            return BaseService.post('/Article/ColumnName', { columnId: columnId })
        },
        // 获取栏目列表
        getColumnList: function (objId, objType) {
            return BaseService.post('/Article/GFetColumnList', { objId: objId, objType: objType })
        }
    }
})