﻿angular.module('fwapp.services')

// 
.service('ChangePhoneNumberService', function ($q, $http, BaseService) {
    return {
        // 用电话号码获取验证码
        sendVericodeByPhone: function (phoneNum, usage) {
            return BaseService.post("/Account/SendVericodeByPhone", { phoneNum: phoneNum, usage: usage });
        },
        // 比对验证码
        compareVericode: function (phoneNumber, vericode, platform, targetcode, usage) {
            return BaseService.post("/SecurityCenter/CompareVericode", { phoneNumber: phoneNumber, vericode: jsencrypt.encrypt(vericode), platform: platform, targetcode: targetcode, usage: usage });
        },
        // 修改账户手机号
        changePhoneNumber: function (accountId, vericode1, newPhoneNumber, vericode2) {
            return BaseService.post("/SecurityCenter/ChangePhoneNumber", { accountId: accountId, vericode1: jsencrypt.encrypt(vericode1), newPhoneNumber: newPhoneNumber, vericode2: jsencrypt.encrypt(vericode2) });
        }
    }
})