﻿angular.module('fwapp.services')

//
.service('DiseaseHistoryService', function ($q, $http, BaseService) {
    return {
        // 获取既往史列表
        list: function (vpId, queryToken) {
            return BaseService.post("/Disease/List", { vpId: vpId, queryToken: queryToken });
        },
        // 保存三高
        saveThreeHigh: function (vpId, threeHigh) {
            threeHigh["vpId"] = vpId;
            return BaseService.post("/Disease/SaveThreeHigh", threeHigh);
        },
        // 新建/编辑其他既往史
        editDisease: function (dhId, vpId, diseaseName, diseaseDate, status) {
            return BaseService.post("/Disease/Edit", { dhId: dhId, vpId: vpId, diseaseName: diseaseName, diseaseDate: diseaseDate, status: status });
        },
        // 删除其他既往史
        deleteDisease: function (dhId) {
            return BaseService.post("/Disease/Delete", { dhId: dhId });
        }
    }
})