﻿angular.module('fwapp.services')

// 无偿献血
.service('DonateBloodService', function ($q, $http, BaseService) {
    return {
        // 检查服务状态
        checkServerStatus: function () {
            return BaseService.post("/DonateBlood/CheckServerStatus");
        },
        // 获取配置
        getConfig: function () {
            return BaseService.post("/DonateBlood/GetConfig");
        },
        // 提交
        submit: function (fixedward, patientName, idcardCode, tel, dateApply, timeApply, applyId) {
            return BaseService.post("/DonateBlood/Submit", { fixedward: fixedward, patientName: jsencrypt.encrypt(patientName), idcardCode: jsencrypt.encrypt(idcardCode), tel: tel, dateApply: dateApply, timeApply: timeApply, applyId: applyId });
        },
        // 获取申请列表
        getApplyList: function () {
            return BaseService.post("/DonateBlood/GetApplyList");
        },
        // 删除申请
        deleteApply: function (applyId) {
            return BaseService.post("/DonateBlood/DeleteApply", { applyId: applyId });
        }
    }
})