﻿angular.module('fwapp.services')

.service('MedicalAppointService', function ($q, $http, BaseService) {
    return {
        Detail: function () {
            return BaseService.post("/MedicalAppoint/Detail");
        },
        SelectDetail: function (Eid) {
            return BaseService.post("/MedicalAppoint/SelectDetail", { Eid: Eid });
        },
        SubInfo: function (data, isAll) {
            return BaseService.post("/MedicalAppoint/SubInfo", { model: data, isAll: isAll });
        },
        SelectInfo: function (apptInfoId) {
            return BaseService.post("/MedicalAppoint/SelectInfo", { apptInfoId: apptInfoId });
        },
        RowBack: function (apptInfoId) {
            return BaseService.post("/MedicalAppoint/RowBack", { apptInfoId: apptInfoId });
        },
        Update: function (muser) {
            return BaseService.post("/MedicalAppoint/Update", muser);
        },
        GetConfig: function (configKey, dateAppt) {
            return BaseService.post("/MedicalAppoint/GetConfig", { configKey: configKey, dateAppt: dateAppt });
        },
        GetWorkDays: function () {
            return BaseService.post("/MedicalAppoint/GetWorkDays");
        },
        AllSelect: function (type) {
            return BaseService.post("/MedicalAppoint/AllSelect", { type: type });
        },
        HasAppoint: function (idCard,nameAppt,dateAppt) {
            return BaseService.post("/MedicalAppoint/HasAppoint", { idCard: idCard, nameAppt: nameAppt,dateAppt:dateAppt });
        }

    }
});
