﻿angular.module('fwapp.services')

.service('SpclConsultationService', function ($q, $http, BaseService) {
    return {
        // 创建申请
        createApply: function () {
            return BaseService.post("/SpclConsultation/CreateConsultationApply");
        },
        // 提交申请
        saveApply: function (consultationInfo) {
            return BaseService.post("/SpclConsultation/ConsultationSave", consultationInfo);
        },
        // 删除申请
        deleteApply: function (id) {
            return BaseService.post("/SpclConsultation/ConsultationDelete", { id: id });
        },
        // 取消申请
        cancelApply: function (id) {
            return BaseService.post("/SpclConsultation/ConsultationCancel", { id: id });
        },
        // 查看申请列表
        list: function () {
            return BaseService.post("/SpclConsultation/ConsultationList");
        },
        // 特需疑难病会诊申请介绍
        descr: function () {
            return BaseService.post("/SpclConsultation/ConsultationDescr");
        },
        // 获取会诊排班
        spclTeamSched: function (schedDate) {
            return BaseService.post("/SpclConsultation/SpclTeamSched", { schedDate: schedDate });
        },
        // 绑定会诊排班
        bindSchedTeam: function (applyId, schedId) {
            return BaseService.post("/SpclConsultation/BindSchedTeam", { applyId: applyId, schedId: schedId });
        }
    }
})