﻿angular.module('fwapp.services')

.service('UploadImgService', function ($q, $http, BaseService) {
    return {
        // 图片添加
        imgAdd: function (rlatObjType, rlatObjId, type, filePath, remark) {
            return BaseService.post("/UploadImg/ImgAdd", { rlatObjType: rlatObjType, rlatObjId: rlatObjId, type: type, filePath: filePath, remark: remark });
        },
        // 获取图片列表
        imgList: function (rlatObjType, rlatObjId) {
            return BaseService.post("/UploadImg/GetImgList", { rlatObjType: rlatObjType, rlatObjId: rlatObjId });
        },
        // 删除图片
        imgDelete: function (imgId) {
            return BaseService.post("/UploadImg/ImgDelete", { imgId: imgId });
        }
    }
})