cordova.define("com.android.init.plugin.AndroidInitPlugin", function(require, exports, module) {

    var exec = require('cordova/exec');

    function AndroidInitPlugin() {
    }

    AndroidInitPlugin.prototype = {
        init: function (params, successCallback, errorCallback) {
            // 第三个参数是插件的名称，必须与config.xml文件中的feature.name保持一致
            exec(successCallback, errorCallback, "AndroidInitPlugin", "init", [params]);
        }
    }

    AndroidInitPlugin.install = function () {
      if (!window.plugins) {
        window.plugins = {};
      }
      window.plugins.AndroidInitPlugin = new AndroidInitPlugin();
      return window.plugins.AndroidInitPlugin;
    };

    cordova.addConstructor(AndroidInitPlugin.install);
});
