cordova.define("com.baiyyy.easy.chat.pat.EasyChatPlugin", function (require, exports, module) {

    var exec = require('cordova/exec');

    function EasyChatPlugin() {
    }

    EasyChatPlugin.prototype = {
        openChatRecord: function (params, successCallback, errorCallback) {
            // 第三个参数是插件的名称，必须与config.xml文件中的feature.name保持一致
            exec(successCallback, errorCallback, "EasyChatPlugin", "openChatRecord", [params]);
        },
        toChat: function (params, successCallback, errorCallback) {
            // 第三个参数是插件的名称，必须与config.xml文件中的feature.name保持一致
            exec(successCallback, errorCallback, "EasyChatPlugin", "toChat", [params]);
        },
        openChatMessageRecord: function (params, successCallback, errorCallback) {
           // 第三个参数是插件的名称，必须与config.xml文件中的feature.name保持一致
           exec(successCallback, errorCallback, "EasyChatPlugin", "openChatMessageRecord", [params]);
        }
    }

    EasyChatPlugin.install = function () {
      if (!window.plugins) {
        window.plugins = {};
      }
      window.plugins.EasyChatPlugin = new EasyChatPlugin();
      return window.plugins.EasyChatPlugin;
    };

    cordova.addConstructor(EasyChatPlugin.install);
});
