cordova.define("com.tencent.trtc.wxmini.MiniProgramPlugin", function(require, exports, module) {

    var exec = require('cordova/exec');

    function MiniProgramPlugin() {
    }

    MiniProgramPlugin.prototype = {
        launchMiniProgram: function (params, successCallback, errorCallback) {
            // 第三个参数是插件的名称，必须与config.xml文件中的feature.name保持一致
            exec(successCallback, errorCallback, "MiniProgramPlugin", "launchMiniProgram", [params]);
        },
        launchMiniProgramV2: function (params, successCallback, errorCallback) {
            // 第三个参数是插件的名称，必须与config.xml文件中的feature.name保持一致
            exec(successCallback, errorCallback, "MiniProgramPlugin", "launchMiniProgramV2", [params]);
        }
    }

    MiniProgramPlugin.install = function () {
        if (!window.plugins) {
            window.plugins = {};
        }
        window.plugins.MiniProgramPlugin = new MiniProgramPlugin();
        return window.plugins.MiniProgramPlugin;
    };

    cordova.addConstructor(MiniProgramPlugin.install);
});
