﻿angular.module('fwapp.controllers')

.controller("ApptDescrController", function ($scope, $rootScope, $state, $ionicPlatform, HospitalService) {

    $scope.helpInfo = new Object();

    $scope.$on('$ionicView.enter', function () {
        $ionicPlatform.registerBackButtonAction(function (e) {
            $rootScope.goBack();
            e.preventDefault();
            return false;
        }, 135, 'apptDescr');
        // 获取预约帮助
        HospitalService.apptDescr().then(function (data) {
            $scope.helpInfo.content = data;
        });
    })

    // 页面退出，解除后退绑定
    $scope.$on('$ionicView.beforeLeave', function () {
        for (actionId in $ionicPlatform.$backButtonActions) {
            if ($ionicPlatform.$backButtonActions[actionId].id == 'apptDescr') {
                $ionicPlatform.$backButtonActions[actionId].priority = 0;
            }
        }
    });
})