﻿angular.module('fwapp.controllers')

// 医院介绍
.controller('DeptInfoController', function ($scope, DeptInfoService, $state, $stateParams) {
    $scope.deptInfo = new Object();

    DeptInfoService.deptInfo($stateParams.deptId).then(function (data) {
        $scope.deptInfo = data;
    });

    $scope.goBack = function () {
        $state.go("app.doctor", { deptId: $stateParams.deptId });
    }

    // 页面进入，绑定后退事件
    $scope.$on('$ionicView.enter', function () {
        $ionicPlatform.registerBackButtonAction(function (e) {
            $scope.goBack();
            e.preventDefault();
            return false;
        }, 135, 'deptInfo');
    });

    // 页面退出，解除后退绑定
    // 可能绑定的事件得改
    $scope.$on('$ionicView.beforeLeave', function () {
//        setTimeout(function () {
            for (actionId in $ionicPlatform.$backButtonActions) {
                if ($ionicPlatform.$backButtonActions[actionId].id == 'deptInfo') {
                    $ionicPlatform.$backButtonActions[actionId].priority = 0;
                }
            }
//        }, 500);
    });
})