angular.module('fwapp.controllers')

// 首页
.controller('HomeController', function ($scope, $rootScope, $state, $timeout, $window
, $ionicModal, $ionicPopup, $ionicSlideBoxDelegate, $ionicLoading, $ionicScrollDelegate, $cordovaInAppBrowser
, ArticleService, OpRegService, OpApptService, HospitalService, OlTreatRecipeService, ConsultationService, RequestService, HospitalService, PersonalService, OpPaymentService) {
    // 切换功能6块
    //console.log(typeof ($rootScope.currentModelSlide) == 'undefined');
    if (typeof ($rootScope.currentModelSlide) == 'undefined') {
        $rootScope.currentModelSlide = 0;
    }
    // 挂号信息
    $scope.opRegInfo = new Object();
    // 首页轮播图
    $scope.homeImageList = [0, 1, 2, 3, 4];
    // 2023-8-9 16:53:16 ZZL #hzfwx-55 变量声明，为了避免温馨提示未加载完成就进入模块，解决$rootScope.opApptPreNoticeInfo.preNotice js报错
    $rootScope.opApptPreNoticeInfo = {};
    // 定义轮播图滑块
    var slideHomeImageList = $ionicSlideBoxDelegate.$getByHandle('slideHomeImageList');
    var slideModelList = $ionicSlideBoxDelegate.$getByHandle('slideModelList');
    var slideHlthAdvice = $ionicSlideBoxDelegate.$getByHandle('slideHlthAdvice');
    var slideSubTreat = $ionicSlideBoxDelegate.$getByHandle('slideSubTreat');
    // 2018-12-27 16:15:51 首页单拎出来重要功能模块
    //$rootScope.importantModelColorList = ["#E97461", "#4FD988", "#F9A753", "#5EB9EE"];
    $rootScope.importantModelColorList = ["#f15a4a", "#0db789", "#f39826", "#10a6e2"];
    $rootScope.importantModelList = [{
        name: "预约挂号",
        descr: "随时预约专家号源",
        href: "#/app/opAppt///",
        iconClass: "icon fwicon-yygh"
        //    }, {
        //        name: "当日预约",
        //        descr: "快速预约当日门诊",
        //        href: "#/app/opReg",
        //        iconClass: "icon fwicon-czpb"
    }, {
        name: "检查预约",
        descr: "自助预约检查日期",
        href: "#/app/checkAppt/",
        iconClass: "icon fwicon-jcyy"
        //    }, {
        //        name: "自助缴费",
        //        descr: "在线支付门诊费用",
        //        href: "#/app/opPayment///",
        //        iconClass: "icon fwicon-mzjf"
    }, {
        name: "复诊续方",
        descr: "在线复诊续方服务",
        href: "#/app/olTreatRecipe///",
        iconClass: "icon fwicon-mzcf2"
        // 2021-5-31 08:57:51 #40277 APP首页调整功能键位置，“在线问诊”和“报告查询”位置对调（2021-4-29 应对4s评审 “报告查询”模块包含了门诊病历住院病历 改名为“诊疗资料”）
        //    }, {
        //        name: "诊疗资料",//"报告查询", 2021-4-29 20:40:22 应对4s评审 报告查询模块包含了门诊病历住院病历 改名为诊疗资料
        //        descr: "检查化验报告浏览",
        //        href: "#/app/report//",
        //        iconClass: "icon fwicon-bgcx"
    }, {
        name: "在线问诊",
        descr: "足不出户咨询医生",
        href: "#/app/dealWithCard/consultation",
        iconClass: "icon fwicon-zxwz"
    }];

    // 2023-9-26 14:49:03 HM 英文版名称翻译
    if (localStorage.isEnglishMode == 1) {
        for (var i = 0; i < $rootScope.importantModelList.length; i++) {
            if ($rootScope.importantModelList[i].name == "预约挂号") {
                $rootScope.importantModelList[i].name = "Appointment";
                $rootScope.importantModelList[i].descr = "Doctor's Schedule";
            }
            if ($rootScope.importantModelList[i].name == "检查预约") {
                $rootScope.importantModelList[i].name = "Check Appt";
                $rootScope.importantModelList[i].descr = "Modify Check Date";
            }
            if ($rootScope.importantModelList[i].name == "复诊续方") {
                $rootScope.importantModelList[i].name = "Online Treat";
                $rootScope.importantModelList[i].descr = "Follow-up Visit";
            }
            if ($rootScope.importantModelList[i].name == "在线问诊") {
                $rootScope.importantModelList[i].name = "Online Consultation";
                $rootScope.importantModelList[i].descr = "Consulting Doctor";
            }
        }
    }

    // 2018-9-28 09:42:59 首页模块列表改分页滑动
    //$rootScope.modelColorList = ["#EA5AAF", "#4FD988", "#2AD6D7", "#E97461", "#5EB9EE", "#F9A753"];
    //$rootScope.modelColorList = ["#EA5AAF", "#E97461", "#F9A753", "#4FD988", "#5EB9EE"];
    //$rootScope.modelColorList = ["#e80c7a", "#f15a4a", "#f39826", "#0db789", "#10a6e2"];
    $rootScope.modelColorList = ["#10a6e2", "#f39826", "#0db789", "#f15a4a"];
    $rootScope.modelList = [{
        // 2021-5-31 08:57:51 #40277 APP首页调整功能键位置，“在线问诊”和“报告查询”位置对调（2021-4-29 应对4s评审 “报告查询”模块包含了门诊病历住院病历 改名为“诊疗资料”）
        //        name: "在线问诊",
        //        href: "#/app/dealWithCard/consultation",
        //        iconClass: "icon fwicon-zxwz-outline"
        //    }, {
        name: "诊疗资料",
        // 2023-1-30 13:34:24 HM 废除lis和check模块，增加传入参数，跳转至对应功能
        href: "#/app/report//",
        // 2022-6-8 09:08:32 CGZ 按褚老师要求 交换诊疗资料和核酸检测预约图标 核酸检测用试管图标更合适
        //iconClass: "icon fwicon-bgcx-outline"
        iconClass: "icon fwicon-czpb-outline"
        // 2023-2-1 15:23:21 CGZ 按郭雨辰要求取消核酸检测预约入口，把院内导航提上来，其他功能顺延
    //}, {
    //    name: "核酸检测预约",
    //    href: "#/app/coronavirus///",
    //    // 2021-5-31 11:06:44 诊疗资料挪下来后与核酸检测预约图标一样 把核酸检测图标换成原出诊排班的
    //    // 2022-6-8 09:08:32 CGZ 按褚老师要求 交换诊疗资料和核酸检测预约图标 核酸检测用试管图标更合适
    //    iconClass: "icon fwicon-bgcx-outline"
    //    //iconClass: "icon fwicon-czpb-outline"
    }, {
        name: "院内导航",
        ngClick: "inHospitalNavigate()",
        iconClass: "icon fwicon-yndh-outline"
    }, {
        name: "智能分诊",
        href: "#/app/triage/////",
        iconClass: "icon fwicon-znfz-outline"
    }, {
        name: "候诊叫号",
        href: "#/app/opCallList",
        iconClass: "icon fwicon-hzjh-outline"
    }, {
        name: "处方查询",
        href: "#/app/opPrescription///",
        iconClass: "icon fwicon-mzcf-outline"
        //    }, {
        //        name: "检查预约",
        //        href: "#/app/checkAppt/",
        //        iconClass: "icon fwicon-jcyy-outline"
        //    }, {
        //        name: "报告查询",
        //        descr: "检查化验报告浏览",
        //        href: "#/app/report//",
        //        iconClass: "icon fwicon-bgcx-outline"
    }, {
        name: "门诊自助缴费",
        href: "#/app/opPayment////",
        iconClass: "icon fwicon-mzjf-outline"
    }, {
        // 2021-12-22 10:51:39 HM #49064 掌上阜外APP去掉门诊预存充值模块，将门诊缴费明细拿上来
        // 2022-4-8 14:44:04 CGZ 按褚老师要求将门诊缴费明细合并至门诊自助缴费模块中，腾出位置给体检报告解读
    //    name: "门诊缴费明细",
    //    href: "#/app/dealWithCard/opConsumption",
    //    iconClass: "icon fwicon-sfxmcx-outline"
    //}, {
        name: "体检报告解读",
        href: "#/app/dealWithCard/explainReport",
        iconClass: "icon fwicon-myddc-outline"
    }, {
        name: "住院登记",
        href: "#/app/ipReg////",
        iconClass: "icon fwicon-rydj-outline"
    }, {
        name: "住院预存充值",
        href: "#/app/ipCharge",
        iconClass: "icon fwicon-zfxq-outline"
    }, {
        name: "住院充值记录",
        href: "#/app/dealWithCard/ipChargeRecord",
        iconClass: "icon fwicon-sfxmcx-outline"
    }, {
        name: "手术状态",
        href: "#/app/surgical",
        iconClass: "icon fwicon-sszt-outline"
    }, {
        // 2023年7月24日16:03:07 增加住院宣教入口
        name: "住院宣教",
        href: "#/app/ipNurEdu/////",
        iconClass: "icon fwicon-jkxj-outline"
    }, {
        name: "疑难病会诊",
        href: "#/app/spclConsultation/",
        iconClass: "icon fwicon-hzyy-outline"
    }, {
        // 2021-12-07 hzg
        name: "专病随访",
        href: "#/app/flupSrvy/",
        iconClass: "icon fwicon-zxwz-outline"
    }, {
        name: "健康记录",
        href: "#/app/health///",
        iconClass: "icon fwicon-myddc-outline"
    }, {
        name: "用药提醒",
        href: "#/app/medicationPlan//",
        iconClass: "icon fwicon-xy-outline"
    }, {
        name: "医院概况",
        href: "#/app/description",
        iconClass: "icon fwicon-yygk-outline"
    }, {
        name: "专家介绍",
        href: "#/app/department",
        iconClass: "icon fwicon-zjjs-outline"
    }, {
        name: "价格查询",
        href: "#/app/feeItem",
        iconClass: "icon fwicon-sfxm-outline"
    }, {
        name: "支付详情",
        href: "#/app/paymentDetails/",
        iconClass: "icon fwicon-sfxmcx-outline"
    }, {
        // 2023-11-7 18:05:48 CGZ 住院宣教上线，占了第二页的一个位置，把健康宣教往后放
        name: "健康宣教",
        href: "#/app/edu//",
        iconClass: "icon fwicon-jkxj-outline"
    }, {
        name: "就医指南",
        href: "#/app/medicalGuide",
        iconClass: "icon fwicon-jkkp-outline"
    }, {
        // 2021-5-5 20:49:33 袁老师让改名健康咨询
        //name: "健康应答",
        name: "健康咨询",
        href: "#/app/dealWithCard/hlthInquiry",
        iconClass: "icon fwicon-myddc-outline"
    }, {
        // 2021-6-29 14:33:50 预计七一重保后正式上线
        name: "无偿献血登记",
        //href: "#/app/donateBlood",
        // 2025-01-14 14:04:33 zyz 无偿献血跳新小程序
        ngClick: "donateBlood()",
        iconClass: "icon fwicon-bgcx-outline"
    }, {
        // 2022-4-8 14:44:04 CGZ 按褚老师要求将门诊缴费明细合并至门诊自助缴费模块中，腾出位置给体检报告解读，单独入口挪到去掉门诊预存充值之前的位置
        name: "门诊缴费明细",
        href: "#/app/dealWithCard/opConsumption",
        iconClass: "icon fwicon-sfxmcx-outline"
    }, {
        // 2022-11-22 09:34:31 CGZ 急诊开业上线，目前使用门诊账户，李安东要求入口暂时放到最后
        name: "急诊预存充值",
        href: "#/app/dealWithCard/emrCharge",
        iconClass: "icon fwicon-zfxq-outline"
    }, {
        // 2023年7月14日14:12:53 cfw 增加住院电子发票查询入口
        name: "住院电子票据",
        href: "#/app/dealWithCard/ipElecReceipt",
        iconClass: "icon fwicon-sfxmcx-outline"
    }, {
        // 2022-8-5 15:36:22 hzg
        // 2022-8-24 09:41:48 吴永健和赵院谈崩了 不叫冠心病了 改名 慢病患者术后提升计划
        // 2023年2月9日14:59:17 CGZ 已联系冠二入组5名患者 按于飞要求上线
        // 2023-4-20 14:20:57 CGZ 高晓津提出更名，经袁老师请示赵院同意，改名为健康改善计划
        // 2023-6-28 10:31:08 CGZ 由于医务处要弄全院统一的慢病管理，不同意冠二自己加健康改善计划的知情同意书，更名暂缓
        //name: "冠心病管理",
        name: "慢病术后提升",
        //name: "健康改善计划",
        href: "#/app/dealWithCard/flupCHD",
        iconClass: "icon fwicon-zxwz-outline"
    }, {
        // 2023-9-26 16:24:18 CGZ 丁立刚学生夏雨确认，改名为心律失常随访
        // 2023-10-10 11:26:58 CGZ 按课题组要求，开放入口到正式版给患者试用
        //name: "房颤院后管理",
        name: "心律失常随访",
        href: "#/app/dealWithCard/flupAF",
        iconClass: "icon fwicon-myddc-outline"
    }, {
        name: "阜外营养",
        href: "#/app/dealWithCard/flupDRI",
        iconClass: "icon fwicon-ssyy-outline"
    }, {
        name: "核磁证明",
        href: "#/app/dealWithCard/reportMRI",
        iconClass: "icon fwicon-rydj-outline"
    }, {
        // 2024-07-05 11:19:44 CGZ #hzfwx-1114 增加医心商店入口，跳转至小程序
        name: "医心商店",
        ngClick: "yixinShop()",
        iconClass: "icon fwicon-sfxm-outline"
    }];

    if (!devMode && betaMode) {
        $rootScope.modelList.push({
            //name: "郑也的互联网+新型抗凝管理模式前瞻性探索研究",
            name: "抗凝管理",
            href: "#/app/dealWithCard/inr",
            iconClass: "icon fwicon-xy-outline"
        });
    }
    else if (devMode) {
        $rootScope.modelList.push({
            name: "查体预约",
            href: "#/app/medicalAppoint",
            iconClass: "icon fwicon-jcyy-outline"
        }, {
            name: "自动问诊",
            href: "#/app/autoInquiry//",
            iconClass: "icon fwicon-myddc-outline"
        //}, {
        //    name: "在线问诊",
        //    href: "#/app/dealWithCard/consultation",
        //    iconClass: "icon fwicon-zxwz-outline"
        }, {
            //name: "郑也的互联网+新型抗凝管理模式前瞻性探索研究",
            name: "抗凝管理",
            href: "#/app/dealWithCard/inr",
            iconClass: "icon fwicon-xy-outline"
        }, {
            name: "住院结算审核",
            href: "#/app/discharge",
            iconClass: "icon fwicon-sfxmcx-outline"
        }, {
            name: "病案复印",
            href: "#/app/casePrint/",
            iconClass: "icon fwicon-jkxj-outline"
        //}, {
        //    name: "无偿献血登记",
        //    href: "#/app/donateBlood",
        //    iconClass: "icon fwicon-bgcx-outline"
        }, {
            name: "康复治疗",
            href: "#/app/dealWithCard/rhbPlan",
            iconClass: "icon fwicon-zxwz-outline"
        }, {
            name: "门诊预存充值",
            href: "#/app/payment",
            iconClass: "icon fwicon-zfxq-outline"
        }, {
            name: "膳食指导",
            href: "#/app/dealWithCard/dietaryGuidance",
            iconClass: "icon fwicon-myddc-outline"
        }, {
            name: "住院患者点餐",
            href: "#/app/dealWithCard/patientMeal",
            iconClass: "icon fwicon-myddc-outline"
        }, {
            name: "视频探视",
            ngClick: "olTreatVisit()", // 跳转至小程序视频探视功能界面
            iconClass: "icon fwicon-zjjs-outline"
        }, {
            name: "使用帮助",
            href: "#/app/instruction",
            iconClass: "icon fwicon-jkxj-outline"
        }, {
            name: "科室介绍",
            ngClick: "departmentInfo()",
            iconClass: "icon fwicon-rydj-outline"
        }, {
            name: "急诊充值记录",
            href: "#/app/dealWithCard/emrChargeRecord",
            iconClass: "icon fwicon-sfxmcx-outline"
        }, {
            name: "核酸检测预约",
            href: "#/app/coronavirus///",
            // 2021-5-31 11:06:44 诊疗资料挪下来后与核酸检测预约图标一样 把核酸检测图标换成原出诊排班的
            // 2022-6-8 09:08:32 CGZ 按褚老师要求 交换诊疗资料和核酸检测预约图标 核酸检测用试管图标更合适
            iconClass: "icon fwicon-bgcx-outline"
            //iconClass: "icon fwicon-czpb-outline"
        }, {
            name: "待检项目列表",
            href: "#/app/dealWithCard/opPendingCheck",
            iconClass: "icon fwicon-myddc-outline"
        }, {
            name: "复诊计划",
            href: "#/app/dealWithCard/subVisit",
            iconClass: "icon fwicon-myddc-outline"
        }, {
            name: "住院预问诊",
            ngClick: "ipPreCollection()",
            iconClass: "icon fwicon-rydj-outline"
        });
    }

    if (localStorage.isEnglishMode == 1) {
        for (var i = 0; i < $rootScope.modelList.length; i++) {
            if ($rootScope.modelList[i].name == "诊疗资料") {
                $rootScope.modelList[i].name = "Report Inquiry";
            }
            if ($rootScope.modelList[i].name == "院内导航") {
                $rootScope.modelList[i].name = "In-hospital Navigation";
            }
            if ($rootScope.modelList[i].name == "智能分诊") {
                $rootScope.modelList[i].name = "Intelligent Triage";
            }
            if ($rootScope.modelList[i].name == "候诊叫号") {
                $rootScope.modelList[i].name = "Outpatient Waiting Call";
            }
            if ($rootScope.modelList[i].name == "处方查询") {
                $rootScope.modelList[i].name = "Prescription Inquiry";
            }
            if ($rootScope.modelList[i].name == "门诊自助缴费") {
                $rootScope.modelList[i].name = "Outpatient Payment";
            }
            if ($rootScope.modelList[i].name == "体检报告解读") {
                $rootScope.modelList[i].name = "Exam Results Interpretation";
            }
            if ($rootScope.modelList[i].name == "住院登记") {
                $rootScope.modelList[i].name = "Inpatient Registration";
            }
            if ($rootScope.modelList[i].name == "住院预存充值") {
                $rootScope.modelList[i].name = "Inpatient Prepayment";
            }
            if ($rootScope.modelList[i].name == "住院充值记录") {
                $rootScope.modelList[i].name = "Inpatient Prepayment Records";
            }
            if ($rootScope.modelList[i].name == "手术状态") {
                $rootScope.modelList[i].name = "Surgical Status";
            }
            if ($rootScope.modelList[i].name == "专病随访") {
                $rootScope.modelList[i].name = "Specialized Disease Follow-up";
            }
            if ($rootScope.modelList[i].name == "疑难病会诊") {
                $rootScope.modelList[i].name = "Difficult Disease Consultation";
            }
            if ($rootScope.modelList[i].name == "健康宣教") {
                $rootScope.modelList[i].name = "Health Education";
            }
            if ($rootScope.modelList[i].name == "健康记录") {
                $rootScope.modelList[i].name = "Health Records";
            }
            if ($rootScope.modelList[i].name == "用药提醒") {
                $rootScope.modelList[i].name = "Medication Reminder";
            }
            if ($rootScope.modelList[i].name == "医院概况") {
                $rootScope.modelList[i].name = "Hospital Overiew";
            }
            if ($rootScope.modelList[i].name == "专家介绍") {
                $rootScope.modelList[i].name = "Expert Introduction";
            }
            if ($rootScope.modelList[i].name == "价格查询") {
                $rootScope.modelList[i].name = "Price Inquiry";
            }
            if ($rootScope.modelList[i].name == "支付详情") {
                $rootScope.modelList[i].name = "Payment Details";
            }
            if ($rootScope.modelList[i].name == "门诊缴费明细") {
                $rootScope.modelList[i].name = "Outpatient Payment Details";
            }
            if ($rootScope.modelList[i].name == "就医指南") {
                $rootScope.modelList[i].name = "Medical Guide";
            }
            if ($rootScope.modelList[i].name == "健康咨询") {
                $rootScope.modelList[i].name = "Health Consultation";
            }
            if ($rootScope.modelList[i].name == "无偿献血登记") {
                $rootScope.modelList[i].name = "Voluntary Blood Donation";
            }
            if ($rootScope.modelList[i].name == "急诊预存充值") {
                $rootScope.modelList[i].name = "Emergency Prepayment";
            }
            if ($rootScope.modelList[i].name == "慢病术后提升") {
                $rootScope.modelList[i].name = "After Surgery";
            }
            if ($rootScope.modelList[i].name == "阜外营养") {
                $rootScope.modelList[i].name = "FW Nutrition";
            }
            if ($rootScope.modelList[i].name == "房颤院后管理") {
                $rootScope.modelList[i].name = "After Fibrillation";
            }
        }
    }

    // 每行模块数量
    $rootScope.modelCountPreRow = 4;
    // 每页模块行数
    $rootScope.rowCountPrePage = 2;
    // 每页模块数量
    $rootScope.modelCountPrePage = $rootScope.modelCountPreRow * $rootScope.rowCountPrePage;

    // 设置模块分页
    $scope.setModelPage = function () {
        // 模块页数
        var arrPage = new Array(Math.ceil($rootScope.modelList.length / $rootScope.modelCountPrePage));
        for (var i = 0; i < arrPage.length; i++) {
            arrPage[i] = i;
        }
        $rootScope.modelPageRepeat = arrPage;
        slideModelList.update();
    }
    $scope.setModelPage();


    // 2018-8-21 15:13:37 出诊排班科室列表
    $scope.divisionList = [];
    // 2021-4-22 10:50:42 HM 健康指标滑块列表
    $scope.hlthAdviceList = [];
    // 2021-11-12 14:08:12 WX 病区团队复诊滑块列表
    $scope.subTreatList = [];
    $scope.subTreatIndex = 0;

    // 初始化
    $scope.$on('$ionicView.loaded', function () {
        // 首页黄条数组
        $scope.yellowStripList = [];
        // 首页图片
        ArticleService.homeImage().then(function (data) {
            $scope.homeImageList = data.data.page;
            for (var i in $scope.homeImageList) {
                $scope.homeImageList[i].id = $scope.homeImageList[i].ArticleId;
                $scope.homeImageList[i].img_url = picPrefix + $scope.homeImageList[i].ImageUrl;
                //console.log($scope.homeImageList[i].img_url);
                $scope.homeImageList[i].img_descr = $scope.homeImageList[i].Title.length > 17 ? $scope.homeImageList[i].Title.substring(0, 16) + '...' : $scope.homeImageList[i].Title;
            }
            slideHomeImageList.update();
            // 开启循环
            slideHomeImageList.loop(true);
        });
        // 出诊排班科室列表
        HospitalService.divisionList().then(function (data) {
            if (data.result == 1) {
                $scope.divisionList = data.data;
            }
        });
        setTimeout(function () {
            $scope.checkMessage();
        }, 1000);
        // 获取挂号信息
        OpRegService.getLatestReg().then(function (data) {
            if (data.result == 1) {
                $scope.opRegInfo = data.data;
                if (data.data.isToday && data.data.opRegToday.STATUS == 2 && data.data.opRegToday.SECONDS_LEFT > 0) {
                    $rootScope.payTimeLeft = data.data.opRegToday.SECONDS_LEFT;
                    if ($rootScope.payStatus != 1) {
                        $rootScope.payStatus = 1;
                    }
                    // 倒计时
                    $scope.timeCountdown();
                }
            }
            else {
                //$fwCordovaToast.showShortBottom(data.msg);
            }
            $scope.isLoadOpRegInfoFinish = true;
        });
        // 2020-1-24 16:00:23 增加预约挂号前置温馨提示
        OpApptService.getPreNotice().then(function (data) {
            if (data.result == 1) {
                $rootScope.opApptPreNoticeInfo = data.data;
            }
        });
        // 2020-4-8 10:22:54 HM 统一ajax请求
        HospitalService.homeAjax().then(function (data) {
            // 请求成功
            if (data.result == 1) {
                // 视频候诊
                if (data.data.videoCall.isShow == 1) {
                    var item = {};
                    item.content = data.data.videoCall.content;
                    item.type = "video";
                    item.isShow = true;
                    item.apptType = data.data.videoCall.videoApptType;
                    $scope.yellowStripList.push(item);
                }
                // 在线问诊
                if (data.data.consultation.isShow == 1) {
                    var item = {};
                    item.content = data.data.consultation.content;
                    item.type = "consultation";
                    item.isShow = true;
                    $scope.yellowStripList.push(item);
                }
                // 在线问诊转诊支付
                if (data.data.referral.isShow == 1) {
                    var item = {};
                    item.content = data.data.referral.content;
                    item.type = "referral";
                    item.isShow = true;
                    item.alertMSG = data.data.referral.alertMSG;
                    $scope.yellowStripList.push(item);
                }
                // 愿检尽检
                if (data.data.ncpApply.isShow == 1) {
                    var item = {};
                    item.content = data.data.ncpApply.secondsLeft;
                    item.type = "ncpApply";
                    item.isShow = true;
                    $scope.yellowStripList.push(item);

                    $rootScope.payTimeLeftNCP = data.data.ncpApply.secondsLeft;
                    if ($rootScope.payStatusNCP != 1) {
                        $rootScope.payStatusNCP = 1;
                    }
                    // 倒计时
                    $scope.timeCountdownNCP();
                }
                // 视频问诊
                if (data.data.olTreatVideo.isShow == 1) {
                    var item = {};
                    item.content = data.data.olTreatVideo.secondsLeft;
                    item.type = "olTreatVideo";
                    item.isShow = true;
                    item.vpId = data.data.olTreatVideo.vpId;
                    item.treatApplyId = data.data.olTreatVideo.treatApplyId;
                    $scope.yellowStripList.push(item);

                    $rootScope.payTimeLeftOlTreatVideo = data.data.olTreatVideo.secondsLeft;
                    if ($rootScope.payStatusOlTreatVideo != 1) {
                        $rootScope.payStatusOlTreatVideo = 1;
                    }
                    // 倒计时
                    $scope.timeCountdownOlTreatVideo();
                }
                // 健康指标建议
                if (data.data.hlthAdvice.isShow == 1) {
                    $scope.hlthAdviceList = data.data.hlthAdvice.data;
                    for (var i = 0; i < $scope.hlthAdviceList.length; i++) {
                        if ($scope.hlthAdviceList[i].COLUMN_LIST != "") {
                            $scope.hlthAdviceList[i].COLUMN_LIST = JSON.parse($scope.hlthAdviceList[i].COLUMN_LIST);
                        }
                    }

                    slideHomeImageList.update();
                    // 开启循环
                    slideHomeImageList.loop(true);
                }
                else {
                    $scope.hlthAdviceList = [];
                }
                // 2021-11-12 14:09:02 WX 团队复诊提醒
                if (data.data.subTreat.isShow == 1) {
                    $scope.subTreatList = data.data.subTreat.content;
                }
                // 2023-4-14 13:39:11 HM 云南新开药
                if (data.data.communityRecipe.isShow == 1) {
                    var item = {};
                    item.content = data.data.communityRecipe.content;
                    item.type = "communityRecipe";
                    item.isShow = true;
                    item.treatApplyId = data.data.communityRecipe.treatApplyId;
                    item.idCardCode = data.data.communityRecipe.idCardCode;// 已加密
                    $scope.yellowStripList.push(item);
                }
                // 2023-6-6 13:30:16 HM 北京医保APP
                if (data.data.ybApp.isShow == 1) {
                    var item = {};
                    item.content = data.data.ybApp.content;
                    item.type = "ybApp";
                    item.isShow = true;
                    item.opPaymentId = data.data.ybApp.opPaymentId;
                    item.vpId = data.data.ybApp.vpId;
                    $scope.yellowStripList.push(item);
                }
                // 2024-3-21 13:09:30 HM 复诊续方快递到家
                if (data.data.olTreatExpress.isShow == 1) {
                    var item = {};
                    item.content = data.data.olTreatExpress.secondsLeft;
                    item.type = "olTreatExpress";
                    item.isShow = true;
                    $scope.yellowStripList.push(item);

                    $rootScope.payTimeLeftOlTreat = data.data.olTreatExpress.secondsLeft;
                    if ($rootScope.payStatusOlTreat != 1) {
                        $rootScope.payStatusOlTreat = 1;
                    }
                    // 倒计时
                    $scope.timeCountdownOlTreatExpress();
                }
                // 2024-4-17 14:08:40 HM 图文问诊
                if (data.data.byTreatPadding.isShow == 1) {
                    var item = {};
                    item.content = data.data.byTreatPadding.secondsLeft;
                    item.type = "byTreatPadding";
                    item.isShow = true;
                    $scope.yellowStripList.push(item);

                    $rootScope.payTimeLeftBYTreatPadding = data.data.byTreatPadding.secondsLeft;
                    if ($rootScope.payStatusBYTreatPadding != 1) {
                        $rootScope.payStatusBYTreatPadding = 1;
                    }
                    // 倒计时
                    $scope.timeCountdownBYTreatPadding();
                }

                // 2021-12-07 15:13:56 HM 增加适老化入口显示
                $rootScope.elderlyEntrance = data.data.appConfig.elderlyEntrance;
                if ($rootScope.elderlyEntrance == true) {
                    // APP配置，如适老化
                    if (typeof ($rootScope.elderly) == 'undefined' || $rootScope.elderly == null || $rootScope.elderly != data.data.appConfig.elderly) {
                        var temp = $rootScope.elderly;

                        $rootScope.elderly = data.data.appConfig.elderly;
                        localStorage.elderly = $rootScope.elderly;

                        $rootScope.sizeRank = data.data.appConfig.sizeRank;
                        localStorage.sizeRank = $rootScope.sizeRank;

                        // 之前的存进来，如果跟库里的不一样，就刷新一下
                        if (temp != data.data.appConfig.elderly) {
                            $ionicLoading.show();
                            $window.location.reload();
                        }
                    }
                }
            }
        })
        //        // 2020-2-6 13:44:25 在线问诊开关
        //        // 2020-2-14 17:30:14 去掉开关 常驻重点功能列表 替换掉报告查询
        //        ConsultationService.checkServerStatus().then(function (data) {
        //            var itemConsultation = $rootScope.modelList.filter(e => {
        //                return e.href == "#/app/dealWithCard/consultation";
        //            });
        //            var itemMedicalGuide = $rootScope.modelList.filter(e => {
        //                return e.href == "#/app/medicalGuide";
        //            });
        //            // 开放
        //            if (isConsultation || data.result == 1) {
        //                isConsultation = true;
        //                $rootScope.isConsultation = isConsultation;
        //                // 原本没有
        //                if (itemConsultation.length == 0) {
        //                    var dataConsultation = {
        //                        name: "在线问诊",
        //                        href: "#/app/dealWithCard/consultation",
        //                        iconClass: "icon fwicon-zxwz-outline"
        //                    };
        //                    // 默认放在3 第1页右上角
        //                    var index = 3;
        //                    // 若有就医指南 替换掉就医指南 就医指南放最后
        //                    if (itemMedicalGuide.length > 0) {
        //                        var indexMedicalGuide = $rootScope.modelList.indexOf(itemMedicalGuide[0]);
        //                        index = indexMedicalGuide >= 0 ? indexMedicalGuide : index;
        //                    }
        //                    var itemToMove = $rootScope.modelList.splice(index, 1, dataConsultation);
        //                    $rootScope.modelList.push(itemToMove[0]);
        //                    $scope.setModelPage();
        //                }
        //            }
        //            // 关闭
        //            else if (data.result == -99) {
        //                // 原本就有 找就医指南替换掉 没有的话直接删除
        //                if (itemConsultation.length > 0) {
        //                    // 若有就医指南 挪过来替换掉
        //                    if (itemMedicalGuide.length > 0) {
        //                        var indexMedicalGuide = $rootScope.modelList.indexOf(itemMedicalGuide[0]);
        //                        var itemToMove = $rootScope.modelList.splice(indexMedicalGuide, 1);
        //                        $rootScope.modelList.splice($rootScope.modelList.indexOf(itemConsultation[0]), 1, itemToMove[0]);
        //                    }
        //                    // 没有 直接删除
        //                    else {
        //                        $rootScope.modelList.splice($rootScope.modelList.indexOf(itemConsultation[0]), 1);
        //                    }
        //                    $scope.setModelPage();
        //                }
        //            }
        //            // 异常
        //            else {
        //                ;
        //            }
        //            console.log($rootScope.modelList);
        //        }, function (data) {
        //            ;
        //        });
        //        // 检查在线开药开关
        //        OlTreatRecipeService.checkServerStatus().then(function (data) {
        //            // 开放
        //            if (isOlTreatRecipe || data.result == 1) {
        //                ;
        //            }
        //            // 关闭
        //            else if (data.result == -99) {
        //                var item = $rootScope.modelList.filter(e => {
        //                    return e.href == "#/app/olTreatRecipe//";
        //                });
        //                if (item.length > 0) {
        //                    $rootScope.modelList.splice($rootScope.modelList.indexOf(item[0]), 1);
        //                    $scope.setModelPage();
        //                }
        //            }
        //            // 异常
        //            else {
        //                ;
        //            }
        //            console.log($rootScope.modelList);
        //        }, function (data) {
        //            ;
        //        });
    });

    //复诊轮播图INDEX问题，测试时三条记录下标识0.1.2.0.1.2...  两条记录是0.1.2.3.0.1.2.3...  目前只考虑了多一圈的情况
    $scope.changeSlide = function (ind) {
        if ((ind + 1) > $scope.subTreatList.length) {
            ind = ind - $scope.subTreatList.length;
        }
        $scope.subTreatIndex = ind;
    }

    //忽略本次复诊
    $scope.ignoreSubTreat = function (subId, vpId) {
        var confirmPopup = $ionicPopup.confirm({
            title: '提示',
            template: '本次复诊将被忽略且不再显示',
            cancelText: '取消',
            okText: '确认'
        });
        confirmPopup.then(function (res) {
            if (res) {
                HospitalService.ignoreSubTreat($scope.subTreatList[subId].SUB_TREAT_REMIND_ID, vpId).then(function (data) {
                    if (data.result != 1) {
                        var alertPopup = $ionicPopup.alert({
                            title: '网络错误',
                            template: data.msg
                        });
                    } else {
                        $scope.subTreatIndex = 0;
                        $scope.subTreatList = [];
                        HospitalService.homeAjax().then(function (data) {
                            // 请求成功
                            if (data.result == 1) {
                                // 团队复诊提醒
                                if (data.data.subTreat.isShow == 1) {
                                    $scope.subTreatList = data.data.subTreat.content;
                                }
                            } else {
                                var alertPopup = $ionicPopup.alert({
                                    title: '网络错误',
                                    template: '加载失败，请稍后再试'
                                });
                            }
                        })
                    }
                });
            }
        })
    }

    // 计算出诊排班科室按钮宽度
    $scope.calcDivisionBtnWidth = function (width) {
        var btnWidth = (100 - 2) * (width / 100) - 2;
        return btnWidth;
    }

    // dom准备就绪
    ionic.DomUtil.ready(function () {
        // 禁用滑动
        //slideModelList.enableSlide(false);
    });
    // 切换功能导航区
    $scope.changeModelSlide = function (index) {
        $rootScope.currentModelSlide = index;
        slideModelList.slide(index);
    }
    // 2017-4-1 14:15:22 新轮播图 可在sys_config中配置
    $scope.goto = function (index) {
        eval($scope.homeImageList[index].id);
    }
    // 电子卡
    $scope.goECard = function () {
        $state.go('app.onlineArchives');
    }
    // 消息中心
    $scope.goMessage = function () {
        $state.go('app.message');
    }
    // 医院动态
    $scope.goNews = function (id) {
        // id==''跳转到医院动态列表页 其他跳转到id对应文章内容页 newsController处理
        $state.go("app.news", { id: id });
    }
    // 搜索
    $scope.goSearch = function () {
        $state.go('app.search');
    }
    // 团队复诊
    $scope.goSubTreat = function (obj) {
        $state.go("app.consultation", { vpid: obj.VISIT_PATIENT_ID, doctorCode: obj.DOCTOR_CODE, treatType: 2 });
    }

    // 前往预约挂号
    $scope.goOpAppt = function () {
        $state.go('app.opAppt');
    }

    // 前往当日预约
    $scope.goOpReg = function () {
        $state.go('app.opReg');
    }

    // 前往视频候诊叫号
    $scope.goVideoCall = function () {
        $state.go('app.videoCall');
    }

    // 前往易复诊列表页
    $scope.goChatRecord = function () {
        $state.go('app.consultationList');
    }

    // 跳转至健康记录
    $scope.goHealth = function (vpId, hlthType) {
        if (hlthType == "HLTH_EMPTY") {
            return;
        }
        $state.go("app.health", { vpid: vpId, from: "app.home" });
    }

    // 跳转健康宣教
    $scope.goEdu = function (columnId) {
        $state.go("app.edu", { columnId: columnId });
    }

    // 前往黄条公用方法
    $scope.goYellowStrip = function (strip) {
        // 视频问诊当天进行签到、进入视频
        if (strip.type == "video") {
            if (strip.apptType == "5") {
                // 进入小程序
                $scope.olTreatVisit();
            }
            else {
                $state.go('app.consultationList', { treatType: "2" });
            }
        }
        else if (strip.type == "consultation") {
            $scope.goChatRecord();
        }
        else if (strip.type == "ncpApply") {
            $state.go('app.coronavirus', { from: 'personal' });
        }
        // 视频问诊待支付
        else if (strip.type == "olTreatVideo") {
            $state.go('app.olTreatVideo', { vpId: strip.vpId, treatApplyId: strip.treatApplyId });
        }
        // 视频问诊待支付
        else if (strip.type == "referral") {
            $ionicPopup.alert({
                title: '在线问诊转诊提示',
                template: strip.alertMSG,
                okText: "确定"
            }).then(function () {
                $state.go('app.consultationList', { toPayReferral: "1" });
            });
        }
        // 云南新开药
        else if (strip.type == "communityRecipe") {
            $ionicPopup.confirm({
                title: '提示',
                template: '患者您好，医生已为您开具处方，您可进行在线缴费，药品快递到家',
                cancelText: '取消',
                okText: '查看'
            }).then(function (res) {
                if (res) {
                    $ionicLoading.show();
                    OlTreatRecipeService.convertCommunityApply(strip.treatApplyId, strip.idCardCode).then(function (data) {
                        $ionicLoading.hide();
                        if (data.result == 1) {
                            $state.go('app.olTreatRecipeList', { status: '0', from: 'app.home' });
                        }
                        else {
                            $fwCordovaToast.showShortBottom(data.msg);
                        }
                    }, function (data) {
                        $ionicLoading.hide();
                        $fwCordovaToast.showShortBottom("网络错误，请稍后重试");
                    })
                }
            });
        }
        // 医保移动支付
        else if (strip.type == "ybApp") {
            //var html = "<div>";
            //html += "<p>请选择支付方式</p>";

            //// 微信小程序
            //html += "<div style='display: flex;padding-bottom: 1em;'>";
            //html += "<div style='width: calc(100% - 4em)'>微信小程序</div>";
            //html += "<div style='padding-left: 0.5em;width: 4em;display: flex;flex-direction: column;justify-content: center;'>";
            //html += "<button class='button button-small button-calm' ng-click='ybPay(1, \"" + strip.vpId + "\", \"" + strip.opPaymentId + "\");' style='max-height: 4em;line-height: 1.5em;'>";
            //html += "<span style='font-size:14px;'>跳转</span>";
            //html += "</button>";
            //html += "</div>";
            //html += "</div>";

            //// 支付宝小程序
            //html += "<div style='display: flex;padding-top: 1em;border-top: 1px dashed #999;'>";
            //html += "<div style='width: calc(100% - 4em)'>支付宝小程序</div>";
            //html += "<div style='padding-left: 0.5em;width: 4em;display: flex;flex-direction: column;justify-content: center;'>";
            //html += "<button class='button button-small button-calm' ng-click='ybPay(2, \"" + strip.vpId + "\", \"" + strip.opPaymentId + "\");' style='max-height: 4em;line-height: 1.5em;'>";
            //html += "<span style='font-size:14px;'>跳转</span>";
            //html += "</button>";
            //html += "</div>";
            //html += "</div>";

            //html += "</div>";

            //$scope.confirmPopup = $ionicPopup.alert({
            //    title: "提示",
            //    template: html,
            //    buttons: [
            //        {
            //            text: "取消",
            //            onTap: function (e) { }
            //        }
            //    ],
            //    scope: $scope
            //});

            $ionicPopup.confirm({
                title: '提示',
                template: '将自动跳转至北京医保支付宝小程序',
                cancelText: '取消',
                okText: '前往'
            }).then(function (res) {
                if (res) {
                    $scope.ybPay(2, strip.vpId, strip.opPaymentId);
                }
            });
        }
        // 复诊续方快递到家
        else if (strip.type == "olTreatExpress") {
            $state.go('app.olTreatRecipeList', { status: '0', from: 'app.home' });
        }
        // 图文问诊
        else if (strip.type == "byTreatPadding") {
            $state.go('app.consultationList', { treatType: "1" });
        }
    }

    // 倒霉的满意度调查
    $scope.dmdmyddc = function () {
        var url = "https://health.10086.cn/questionnaire/record2.html?hospitalId=4&hospitalName=%E9%98%9C%E5%A4%96%E5%8C%BB%E9%99%A2&channelCode=thirdpart_hospital_4";
        //var option = { location: 'yes', clearcache: 'no', toolbar: 'yes' }
        //$cordovaInAppBrowser.open(url, '_blank', option).then(function (event) { });
        //2023.7.31 新插件原有调用方式参数不生效
        showInAppBrowser(url, '_blank');
    }

    // 倒计时
    $scope.timeCountdown = function () {
        if (!$scope.$$phase) {
            $scope.$apply($rootScope.payTimeLeft = $rootScope.payTimeLeft - 1);
        } else {
            $rootScope.payTimeLeft = $rootScope.payTimeLeft - 1;
        }
        clearTimeout($rootScope.payResendTimeer);
        if ($rootScope.payTimeLeft > 0) {
            $rootScope.payResendTimeer = setTimeout($scope.timeCountdown, 1000);
        }
        else {
            if (!$scope.$$phase) {
                $scope.$apply($rootScope.payStatus = 0);
            } else {
                $rootScope.payStatus = 0;
            }
            // 超时处理
            $scope.checkTimeout();
        }
    }

    // 倒计时
    $scope.timeCountdownNCP = function () {
        if (!$scope.$$phase) {
            $scope.$apply($rootScope.payTimeLeftNCP = $rootScope.payTimeLeftNCP - 1);
        } else {
            $rootScope.payTimeLeftNCP = $rootScope.payTimeLeftNCP - 1;
        }
        clearTimeout($rootScope.payResendTimeerNCP);
        if ($rootScope.payTimeLeftNCP > 0) {
            $rootScope.payResendTimeerNCP = setTimeout($scope.timeCountdownNCP, 1000);
        }
        else {
            if (!$scope.$$phase) {
                $scope.$apply($rootScope.payStatusNCP = 0);
            } else {
                $rootScope.payStatusNCP = 0;
            }
            // 超时处理
            $scope.checkTimeoutNCP();
        }
    }

    // 超时处理
    $scope.checkTimeoutNCP = function () {
        console.log("超时处理");
        for (var i = 0; i < $scope.yellowStripList.length; i++) {
            if ($scope.yellowStripList[i].type == "ncpApply") {
                $scope.yellowStripList[i].isShow = false;
            }
        }
    }

    // 视频问诊支付倒计时
    $scope.timeCountdownOlTreatVideo = function () {
        if (!$scope.$$phase) {
            $scope.$apply($rootScope.payTimeLeftOlTreatVideo = $rootScope.payTimeLeftOlTreatVideo - 1);
        } else {
            $rootScope.payTimeLeftOlTreatVideo = $rootScope.payTimeLeftOlTreatVideo - 1;
        }
        clearTimeout($rootScope.payResendTimeerOlTreatVideo);
        if ($rootScope.payTimeLeftOlTreatVideo > 0) {
            $rootScope.payResendTimeerOlTreatVideo = setTimeout($scope.timeCountdownOlTreatVideo, 1000);
        }
        else {
            if (!$scope.$$phase) {
                $scope.$apply($rootScope.payStatusOlTreatVideo = 0);
            } else {
                $rootScope.payStatusOlTreatVideo = 0;
            }
            // 超时处理
            $scope.checkTimeoutOlTreatVideo();
        }
    }

    // 视频问诊超时处理
    $scope.checkTimeoutOlTreatVideo = function () {
        for (var i = 0; i < $scope.yellowStripList.length; i++) {
            if ($scope.yellowStripList[i].type == "olTreatVideo") {
                $scope.yellowStripList[i].isShow = false;
            }
        }
    }

    // 复诊续方快递到家倒计时
    $scope.timeCountdownOlTreatExpress = function () {
        if (!$scope.$$phase) {
            $scope.$apply($rootScope.payTimeLeftOlTreat = $rootScope.payTimeLeftOlTreat - 1);
        } else {
            $rootScope.payTimeLeftOlTreat = $rootScope.payTimeLeftOlTreat - 1;
        }
        clearTimeout($rootScope.payResendTimeerOlTreat);
        if ($rootScope.payTimeLeftOlTreat > 0) {
            $rootScope.payResendTimeerOlTreat = setTimeout($scope.timeCountdownOlTreatExpress, 1000);
        }
        else {
            if (!$scope.$$phase) {
                $scope.$apply($rootScope.payStatusOlTreat = 0);
            } else {
                $rootScope.payStatusOlTreat = 0;
            }

            // 超时处理
            $scope.checkTimeoutOlTreatExpress();
        }
    }

    // 复诊续方快递到家超时处理
    $scope.checkTimeoutOlTreatExpress = function () {
        console.log("个人中心复诊续方快递到家超时处理");
        for (var i = 0; i < $scope.yellowStripList.length; i++) {
            if ($scope.yellowStripList[i].type == "olTreatExpress") {
                $scope.yellowStripList[i].isShow = false;
            }
        }
    }

    // 图文问诊倒计时
    $scope.timeCountdownBYTreatPadding = function () {
        if (!$scope.$$phase) {
            $scope.$apply($rootScope.payTimeLeftBYTreatPadding = $rootScope.payTimeLeftBYTreatPadding - 1);
        } else {
            $rootScope.payTimeLeftBYTreatPadding = $rootScope.payTimeLeftBYTreatPadding - 1;
        }
        clearTimeout($rootScope.payResendTimeerBYTreatPadding);
        if ($rootScope.payTimeLeftBYTreatPadding > 0) {
            $rootScope.payResendTimeerBYTreatPadding = setTimeout($scope.timeCountdownBYTreatPadding, 1000);
        }
        else {
            if (!$scope.$$phase) {
                $scope.$apply($rootScope.payStatusBYTreatPadding = 0);
            } else {
                $rootScope.payStatusBYTreatPadding = 0;
            }

            // 超时处理
            $scope.checkTimeoutBYTreatPadding();
        }
    }

    // 图文问诊超时处理
    $scope.checkTimeoutBYTreatPadding = function () {
        for (var i = 0; i < $scope.yellowStripList.length; i++) {
            if ($scope.yellowStripList[i].type == "byTreatPadding") {
                $scope.yellowStripList[i].isShow = false;
            }
        }
    }

    // 特需入口
    $scope.goSpecialNeeds = function () {
        $state.go("app.specialNeeds");
    }

    // 开启关爱模式
    $scope.goElderly = function () {
        // 2022-7-19 09:41:24 CGZ 由于特需医疗中心入口与适老化开关并列，空半边太丑，适老化开关挪到里边判断
        if ($rootScope.elderlyEntrance == false) {
            $ionicPopup.alert({
                title: '提示',
                template: '关爱模式正在维护中，敬请期待',
                okText: '确定'
            });
            return false;
        }
        // 只有登录，才能切换
        if ($rootScope.checkLogin()) {
            var confirmPopup = $ionicPopup.confirm({
                title: "开启关爱模式",
                template: "您将切换至关爱模式，大字体、大图标，功能更简洁。",
                cancelText: '稍后再说',
                okText: '立即切换'
            });
            // 立即填写, 跳转
            confirmPopup.then(function (res) {
                if (res) {
                    // 2023-9-26 17:37:36 HM 得把英文版本给关上
                    localStorage.isEnglishMode = 0;

                    PersonalService.saveSetting("PUSH_ELDERLY", true).then(function (data) {
                        PersonalService.saveSetting("APP_SIZE_RANK", "L").then(function (data) {
                            $rootScope.elderly = true;
                            $rootScope.sizeRank = "L";
                            localStorage.elderly = $rootScope.elderly;
                            localStorage.sizeRank = $rootScope.sizeRank;

                            $ionicLoading.show();
                            $window.location.reload();
                        });
                    });
                }
            })
        }
    }

    // 跳转就诊人管理（适老化）
    $scope.goVisitPatientManagement = function () {
        $state.go("app.dealWithCard", { go: "home" });
    }

    // 跳转至报告查询
    $scope.goReport = function () {
        $state.go("app.report");
    }

    // 跳转候诊叫号
    $scope.goOpCallList = function () {
        $state.go("app.opCallList");
    }

    // 切换标准版
    $scope.changeStandard = function () {
        var confirmPopup = $ionicPopup.confirm({
            title: "切换标准版",
            template: "您将切换至标准版，是否要进行切换？",
            cancelText: '稍后再说',
            okText: '立即切换'
        });
        // 立即填写, 跳转
        confirmPopup.then(function (res) {
            if (res) {
                PersonalService.saveSetting("PUSH_ELDERLY", false).then(function (data) {
                    PersonalService.saveSetting("APP_SIZE_RANK", "S").then(function (data) {
                        $rootScope.elderly = false;
                        localStorage.elderly = $rootScope.elderly;
                        $rootScope.sizeRank = "S";
                        localStorage.sizeRank = $rootScope.sizeRank;

                        $ionicLoading.show();
                        $window.location.reload();
                    });
                });
            }
        })
    }

    // 跳转恢复室探视小程序
    $scope.olTreatVisit = function () {
        // 2022-5-23 09:03:51 HM 不用传小程序路径了，在插件里写死了
        var param = { type: "olTreatVisit", param: "olTreatVisit" };

        var funcSuccess = function (data) {
            console.log("MiniProgramPlugin：launchMiniProgram 调用成功");
            console.log(data);
        }
        var funcError = function (data) {
            console.log("MiniProgramPlugin：launchMiniProgram 调用失败");
            console.log(data);
        }

        window.plugins.MiniProgramPlugin.launchMiniProgramV2(param, funcSuccess, funcError);
    }

    // 2022-11-21 19:32:20 HM 22年便民惠民，跳转至微信的科室介绍，写死链接就行，不从服务器请求了
    $scope.departmentInfo = function () {
        var url = "http://wx.fuwai.com/Hospitals/Departments/Overview";
        //var option = { location: 'yes', clearcache: 'no', toolbar: 'yes' }
        //$cordovaInAppBrowser.open(url, '_system', option).then(function (event) { });
        //2023.7.31 新插件原有调用方式参数不生效
        showInAppBrowser(url, '_system');
    }

    // 2025-01-14 14:04:33 zyz 无偿献血跳新小程序
    $scope.donateBlood = function () {
        var param = { type: "donateBlood", param: "donateBlood" }

        var funcSuccess = function (data) {
        }
        var funcError = function (data) {
        }
        window.plugins.MiniProgramPlugin.launchMiniProgramV2(param, funcSuccess, funcError);
    }

    // 住院预问诊（测试）
    $scope.ipPreCollection = function () {
        var param = { type: "ipPreCollection", param: "hisCardNum=374343e1-d9a6-4ca2-9010-d46da55f99f2&ipNoticeId=515929" }

        var funcSuccess = function (data) {
        }
        var funcError = function (data) {
        }
        window.plugins.MiniProgramPlugin.launchMiniProgramV2(param, funcSuccess, funcError);
    }

    // 2023-7-31 15:11:41 HM 跳转微信小程序
    $scope.ybPay = function (type, vpId, opPaymentId) {
        if (type == 1) {
            type = "wx";
        }
        else {
            type = "zfb";
        }

        // 先去找首信，请求所需的参数
        $ionicLoading.show();
        OpPaymentService.bjybMobilePayment(vpId, opPaymentId).then(function (data) {
            $ionicLoading.hide();
            if (data.result == 0) {
                $fwCordovaToast.showShortBottom(data.msg);
            }
            else {
                // 跳转小程序的路径url
                var pageUrl = data.url;

                if (type == "zfb") {
                    // 先用cordovaInAppBrowser的方式，后期还得切换到插件的形式
                    var herfUrl = "https://ds.alipay.com/?scheme=" + encodeURIComponent("alipays://platformapi/startapp?appId=2021003175643256&page=" + encodeURIComponent(pageUrl));

                    //var option = { location: 'yes', clearcache: 'no', toolbar: 'yes' }
                    //$cordovaInAppBrowser.open(herfUrl, '_system', option).then(function (event) { });
                    //2023.7.31 新插件原有调用方式参数不生效
                    showInAppBrowser(herfUrl, '_system');

                    // var param = { type: "BJYB", url: pageUrl };

                    // var funcSuccess = function (data) {
                    //     console.log("MiniProgramPlugin：launchZFBMiniProgramByPageUrl 调用成功");
                    //     console.log(data);
                    // }
                    // var funcError = function (data) {
                    //     console.log("MiniProgramPlugin：launchZFBMiniProgramByPageUrl 调用失败");
                    //     console.log(data);
                    // }

                    // window.plugins.MiniProgramPlugin.launchZFBMiniProgramByPageUrl(param, funcSuccess, funcError);
                }
                else {
                    $fwCordovaToast.showShortBottom("暂不支持微信小程序");
                }
            }
        }, function () {
            $ionicLoading.hide();
            $fwCordovaToast.showShortBottom("网络错误，请稍后重试");
        })
    }

    // 消息流
    // 增加开关，手动开启
    var showMsgStreams = false;
    if (showMsgStreams && devMode) {
        // 消息流计时器
        $scope.messageTimer = {};
        // 更新RID计时器
        $scope.updateRidTimer = {};

        // (未过期)消息流列表
        $scope.messageStreams = [];
        // (全部)消息流列表
        $scope.wholeMessageStreams = [];

        // 号序数组
        $scope.numberSequence = [];
        // 等候数组
        $scope.waitCount = [];

        $scope.isMessageStreamsOpen = false;

        // (全部)消息流模态窗
        //$ionicModal.fromTemplateUrl('wholeMessageStreams.html', {
        //    scope: $scope
        //}).then(function (modal) {
        //    $scope.messageStreamsModal = modal;
        //});

        // 获取(未过期)消息流
        $scope.loadMessageStreams = function () {
            HospitalService.loadMessageStreams().then(function (result) {
                if (result.result == 1) {
                    $scope.messageStreams = result.dt;
                }
                else {
                    console.log(result.msg);
                }
                //$timeout(function () {
                //    // 判断当前位置，如果在智能导诊界面才提示
                //    if ($scope.isMessageStreamsOpen) {
                //        var confirmPopupTest = $ionicPopup.confirm({
                //            title: '智能导诊路径推荐',
                //            //template: '系统已为您重新规划路径，新路径比当前路径节省时间大约7分钟，是否切换？',
                //            template: '由于等候队列变化，系统已为您重新规划诊疗路径，是否切换？',
                //            cancelText: '稍后再说',
                //            okText: '切换路径'
                //        });
                //        // 切换路径, 跳转到页面顶端
                //        confirmPopupTest.then(function (res) {
                //            if (res) {
                //                $ionicScrollDelegate.scrollTop();
                //            }
                //            else {
                //            }
                //        })
                //    }
                //}, 5000);
            });
        }

        // 获取(全部)消息流
        $scope.loadWholeMessageStreams = function () {
            $state.go('app.IG');
            // 3m一次刷新Rid
            // 测试 10s刷一次
            // $scope.updateRidTimer = setInterval(function(){
            //    $scope.updateRequestId($scope.wholeMessageStreams, 0);
            // }, 10000);
        }

        //// 全部消息流 =>按Request获取Response
        //$scope.wholeMessage = function (isOpen) {
        //    HospitalService.loadWholeMessageStreams().then(function (result) {
        //        if (result.result == 1) {
        //            $scope.wholeMessageStreams = result.dt;
        //            $scope.numberSequence = [];
        //            // 按Request获取Response
        //            $scope.getNum(result.dt, 0);
        //            if (isOpen) {
        //                $scope.messageStreamsModal.show();
        //                $scope.isMessageStreamsOpen = true;
        //            }
        //        }
        //        else {
        //            console.log(result.msg);
        //        }
        //    });
        //}

        //// 按Request获取Response
        //$scope.getNum = function (dt, index) {
        //    if (index < dt.length) {
        //        // 过期了
        //        if (dt[index].STATUS == 2 || dt[index].LAST_REQUEST_ID == null) {
        //            var temp = { requestId: '', myNum: 0, momentNum: 0, waitCount: 0, waitTime: 0 };
        //            $scope.numberSequence.push(temp);
        //            index++;
        //            $scope.getNum(dt, index);
        //        }
        //        else {
        //            RequestService.MessageStreamNumberSenquence(dt[index].LAST_REQUEST_ID).then(function (result) {
        //                var temp = null;
        //                // 成功且非空
        //                if (result.result == 1 && result.is_null == 0) {
        //                    // 平均时长
        //                    HospitalService.getAVGLength(result.data[0]["QUEUE_TYPE_SOURCE_ID"], result.data[0]["QUEUE_TYPE_ID"]).then(function (data) {
        //                        var waitTime = 0;
        //                        if (data.result == 1) {
        //                            waitTime = data.waitTime * result.data[0]["WAIT_COUNT"];
        //                        }

        //                        switch (dt[index].REQUEST_TYPE) {
        //                            // 门诊叫号
        //                            case "OP_CALLLIST":
        //                                temp = { requestId: dt[index].LAST_REQUEST_ID, myNum: result.data[0]["HS"], momentNum: result.data[0]["DQHX"], waitCount: 0, waitTime: 0 };
        //                                break;
        //                            //（检验科单独)等候人数
        //                            case "OP_WAIT_COUNT":
        //                                temp = { requestId: dt[index].LAST_REQUEST_ID, myNum: 0, momentNum: 0, waitCount: result.data[0]["WAIT_COUNT"], waitTime: waitTime };
        //                                break;
        //                            // 检查叫号(等待人数合并)
        //                            case "CHECK_CALLLIST":
        //                                temp = { requestId: dt[index].LAST_REQUEST_ID, myNum: result.data[0]["QUEUE_NUM"], momentNum: result.data[0]["QUEUE_ORDER"] == -1 ? result.data[0]["QUEUE_NUM"] : result.data[0]["QUEUE_ORDER"], waitCount: result.data[0]["WAIT_COUNT"], waitTime: waitTime };
        //                                break;
        //                            default:
        //                                temp = { requestId: dt[index].LAST_REQUEST_ID, myNum: 0, momentNum: 0, waitCount: 0, waitTime: 0 };
        //                                break;
        //                        }

        //                        $scope.numberSequence.push(temp);
        //                        index++;
        //                        $scope.getNum(dt, index);
        //                    })
        //                }
        //                //  失败=>不显示
        //                else {
        //                    temp = { requestId: dt[index].LAST_REQUEST_ID, myNum: 0, momentNum: 0, waitCount: 0, waitTime: 0 };
        //                    $scope.numberSequence.push(temp);
        //                    index++;
        //                    $scope.getNum(dt, index);
        //                }
        //            })
        //        }
        //    }
        //    // 获取了全部
        //    else {
        //        console.log("按Request获取Response：完毕");
        //    }
        //}

        //// 更新REQUEST_ID(递归)
        //$scope.updateRequestId = function (dt, index) {
        //    if (dt.length == 0) {
        //        console.log("刷新Rid：跳出");
        //        return;
        //    }

        //    if (index < dt.length) {
        //        if (dt[index].REQUEST_TYPE == null || dt[index].LAST_REQUEST_ID == null) {
        //            index++;
        //            $scope.updateRequestId($scope.wholeMessageStreams, index);
        //        }
        //        else {
        //            HospitalService.updateRequestId(dt[index].MESSAGE_STREAM_ID, dt[index].LAST_REQUEST_ID).then(function (result) {
        //                // 失败
        //                if (result.result != 1) {
        //                    console.log(result.msg);
        //                }
        //                index++;
        //                $scope.updateRequestId($scope.wholeMessageStreams, index);
        //            })
        //        }
        //    }
        //    else {
        //        console.log("刷新Rid：完毕");
        //        // 先执行一次
        //        clearInterval($scope.updateRidTimer);
        //        // 刷新(全部)消息流
        //        $scope.wholeMessage(false);
        //    }
        //}

        //// 关闭全部消息模态窗
        //$scope.messageStreamsModalHide = function () {
        //    clearInterval($scope.updateRidTimer);
        //    $scope.messageStreamsModal.hide();
        //    $scope.isMessageStreamsOpen = false;
        //}

        //// 去检查报告
        //$scope.returnReport = function () {
        //    $scope.messageStreamsModal.hide();
        //    $scope.isMessageStreamsOpen = false;
        //    $state.go('app.report');
        //}

        // 进入触发
        $scope.$on('$ionicView.enter', function () {
            // 加载首页消息
            $scope.loadMessageStreams();
            // 10m = 600000
            $scope.messageTimer = setInterval(function () {
                $scope.loadMessageStreams()
            }, 600000);
        });
        //// 离开清除
        //$scope.$on('$ionicView.leave', function () {
        //    clearInterval($scope.messageTimer);
        //    $scope.isMessageStreamsOpen = false;
        //});
        //// 销毁移除
        //$scope.$on('$destroy', function () {
        //    $scope.messageStreamsModal.remove();
        //    $scope.isMessageStreamsOpen = false;
        //})
    }
})
