﻿angular.module('fwapp.services')

.service('CvdriskService', function ($q, $http, BaseService) {
    return {
        result: function (formData) {
            return BaseService.post("/CVDRisk/ValidInput", formData);
        },
        resultTwo: function (formData) {
            return BaseService.post("/CVDRisk/Result", formData);
        },
        getSex: function (vpId) {
            return BaseService.post("/CVDRisk/GetSex", { vpId: vpId });
        },
        getCvdriskList: function (vpId) {
            return BaseService.post("/CVDRisk/GetCvdriskList", { vpId: vpId });
        }
    }
})