﻿angular.module('fwapp.services')

.service('DealWithCardService', function ($q, $http, BaseService) {
    return {
        getTemplate: function (go) {
            return BaseService.post("/DealWithCard/GetTemplate", { go: go });
        },
        getUrl: function (go, vpid) {
            return BaseService.post("/DealWithCard/GetUrl", { go: go, vpid: vpid });
        },
        needCheckMI: function (vpid) {
            return BaseService.post("/DealWithCard/NeedCheckMI", { vpid: vpid });
        },
        addMIPatientInfo: function (vpid, rid, MICode, MIUrl, MIPatientUrl) {
            return BaseService.post("/DealWithCard/AddMIPatientInfo",
            { vpid: vpid, rid: rid, MICode: MICode, MIUrl: MIUrl, MIPatientUrl: MIPatientUrl });
        }
    }
})