﻿angular.module('fwapp.services')

// 
.service('DoctorInfoService', function ($q, $http, BaseService) {
    return {
        // 
        doctorInfo: function (doctorId) {
            return BaseService.post("/Department/DoctorInfo", { doctorId: doctorId });
        },
        scheduling: function (doctorCode) {
            return BaseService.post("/Scheduling/Doctor", { doctorCode: doctorCode });
        },
        scheduling_new: function (doctorCode) {
            return BaseService.post("/Scheduling/DoctorNew", { doctorCode: doctorCode, halfday: true, isWaitList: "1" });
        },
        doctorMain: function (doctorCode, doctorType) {
            return BaseService.post("/Department/DoctorMain", { doctorCode: doctorCode, doctorType: doctorType });
        }
    }
})