﻿angular.module('fwapp.services')

//
.service('MedicationPlanService', function ($q, $http, BaseService) {
    return {
        // 获取用药计划列表
        list: function (vpId) {
            return BaseService.post("/Medication/List", { vpId: vpId });
        },
        // 用药计划详情
        detail: function (medicationPlanId) {
            return BaseService.post("/Medication/Detail", { medicationPlanId: medicationPlanId });
        },
        // 新建/编辑用药计划
        editPlan: function (medPlan) {
            return BaseService.post("/Medication/Edit", medPlan);
        },
        // 删除用药计划
        deletePlan: function (medicationPlanId) {
            return BaseService.post("/Medication/Delete", { medicationPlanId: medicationPlanId });
        },
        // 切换提醒状态
        changeAlarm: function (medicationPlanId, isAlarm) {
            return BaseService.post("/Medication/ChangeAlarm", { medicationPlanId: medicationPlanId, isAlarm: isAlarm });
        },
        // 获取用药提醒列表
        notificationList: function () {
            return BaseService.post("/Medication/NotificationList");
        },
        // 获取用药指导
        getInstruction: function (ida) {
            return BaseService.post("/Medication/GetInstruction", { ida: ida });
        }
    }
})