﻿angular.module('fwapp.services')

.service('opQuestionnaireService', function ($q, $http, BaseService) {
    return {
        srvyList: function () {
            return BaseService.post("/Srvy/SrvyList");
        },
        queInfo: function (typeId, vpId) {
            return BaseService.post("/Srvy/SrvyInfo", { typeId: typeId, vpId: vpId });
        },
        selfSrvyList: function (typeId, vpId) {
            return BaseService.post("/Srvy/SelfSrvyList", { typeId: typeId, vpId: vpId });
        },
        items: function (tmplId) {
            return BaseService.post("/Srvy/Items", { tmplId: tmplId });
        },
        loadRecord: function (tmplId, recId) {
            return BaseService.post("/Srvy/LoadRecord", { tmplId: tmplId, recId: recId });
        },
        saveRecord: function (tmplId, recId, vpId, values) {
            values["tmplId"] = tmplId;
            values["recId"] = recId;
            values["vpId"] = vpId;
            return BaseService.post("/Srvy/SaveRecord", values);
        },
        getFeedBack: function (recId) {
            return BaseService.post("/Srvy/GetFeedBack", { recId: recId });
        }
    }
})