﻿angular.module('fwapp.services')

// 满意度调查
.service('SatisService', function ($q, $http, BaseService) {
    return {
        // 获取未填写满意度调查数量
        satisCount: function () {
            return BaseService.post("/Satis/GetSatisSrvyCount");
        },
        // 获取未填写满意度调查列表
        satisList: function (status) {
            return BaseService.post("/Satis/GetSatisSrvyList", { status: status });
        },
        // 保存满意度调查
        saveSatis: function (satisSrvyId, ansValue, advice) {
            return BaseService.post("/Satis/SaveSatisSrvy", { satisSrvyId: satisSrvyId, ansValue: ansValue, ansAdvice: advice });
        },
        // 一键保存满意度调查
        saveAllSatis: function (stringArr) {
            return BaseService.post("/Satis/SaveAllSatisSrvy", { stringArr: stringArr });
        },
        // 获取体检报告解读满意度
        showExplainReportSatis: function () {
            return BaseService.post("/Satis/ShowExplainReportSatis");
        },
        // 提交体检报告解读满意度
        submitExplainReportSatis: function (jsonSubmit, applyId) {
            return BaseService.post("/Satis/SubmitExplainReportSatis", { jsonSubmit: jsonSubmit, applyId: applyId });
        },
        // 检查体检报告解读满意度是否已填写
        checkIsSatisFinished: function (applyId) {
            return BaseService.post("/Satis/CheckIsSatisFinished", { applyId: applyId });
        }
    }
})