﻿angular.module('fwapp.services')

// 
.service('SchedulingService', function ($q, $http, BaseService) {
    return {
        scheduling: function (division, schedDate, schedTime, doctorLevel) {
            return BaseService.post("/Scheduling/GetScheduling", { divisionCode: division, schedDate: schedDate, schedTime: schedTime, doctorLevel: doctorLevel });
        },
        schedulingDays: function () {
            return BaseService.post("/Scheduling/GetSchedulingDays", { halfday: true });
        },
        divisions: function () {
            return BaseService.post("/Scheduling/GetDivisions");
        },
        doctorLevel: function () {
            return BaseService.post("/Scheduling/GetDoctorLevel");
        },
        // 获取指定科别医师列表
        getDoctorListBySpeciality: function (speciality) {
            return BaseService.post("/Scheduling/GetDoctorListBySpeciality", { speciality: speciality });
        },
        // 获取指定科别医师列表
        getDoctorListByName: function (name) {
            return BaseService.post("/Scheduling/getDoctorListByName", { name: name });
        }
    }
})