angular.module('fwapp.services')

// 复诊计划
.service('SubVisitService', function ($q, $http, $timeout, BaseService) {
    return {
        // 查询复诊计划列表
        getSubVisitMainList: function (vpId) {
            return BaseService.post("/SubVisit/GetSubVisitMainList", { vpId: vpId });
        },
        // 查询复诊计划详情
        getSubVisitInfo: function (vpId, subVisitMainId) {
            return BaseService.post("/SubVisit/GetSubVisitInfo", { vpId: vpId, subVisitMainId: subVisitMainId });
        }
    }
})