cordova.define("cordova-plugin-file-md5.md5chksum", function(require, exports, module) {
    var exec = require('cordova/exec');
    function md5chksum() {}
    md5chksum.prototype = {
//        file: function (params, successCallback, errorCallback) {
//            // 第三个参数是插件的名称，必须与config.xml文件中的feature.name保持一致
//            exec(successCallback, errorCallback, "md5chksum", "file", [params]);
//        },
        file: function(fileEntry, success, error) {
            console.log("md5chksum: IN");
            console.log(JSON.stringify(fileEntry));
            var path = fileEntry.toURL();
            console.log(JSON.stringify(path));
            if (path) {
                exec(success, error, "md5chksum", "file", [path]);
            } else {
                error("md5chksum: no path");
            }
        }
    }
    md5chksum.install = function () {
        if (!window.plugins) {
            window.plugins = {};
        }
        window.plugins.md5chksum = new md5chksum();
        return window.plugins.md5chksum;
    };
    cordova.addConstructor(md5chksum.install);
});
